2006-05-04  Jim Hyslop <jhyslop@dreampossible.ca>

	* libcvs.dsp: Add WINDOWS32 #define for glob.c
	* libcvs.mak: Regenerated for "libcvs.dsp" changes.

2005-09-29  Derek Price  <derek@ximbiot.com>

	* system.h: #define fd_select select when not already defined.

2005-09-25  Conrad T. Pino  <Conrad@Pino.com>

	* libcvs.dsp: Add files (mkstemp.c tempname.c) to project.

	* libcvs.dep, libcvs.mak: Regenerated for "libcvs.dsp" changes.

2005-09-21  Conrad T. Pino  <Conrad@Pino.com>

	* libcvs.dep: Regenerated for "../windows-NT/fix-msvc-mak.pl" change
	to remove "basetsd" references.

2005-09-20  Conrad T. Pino  <Conrad@Pino.com>

	* libcvs.dsp: Add files (canon-host.c gai_strerror.c getaddrinfo.c
	getdelim.c mbchar.c strnlen1.c canon-host.h getaddrinfo.h getdelim.h
	glob-libc.h mbchar.h mbuiter.h regex_internal.h strcase.h strnlen1.h
	..\windows-NT\netdb.h ..\windows-NT\sys\socket.h) to project.

	* libcvs.dep libcvs.mak: Regenerated for "libcvs.dsp" changes.

2005-09-20  Derek Price  <derek@ximbiot.com>

	* getaddrinfo.c: Update from GNULIB.

2005-09-20  Derek Price  <derek@ximbiot.com>
	    Paul Eggert  <eggert@cs.ucla.edu>

	* regcomp.c, regex_internal.c, regex_internal.h, regexec.c: New,
	simpler replacement fix for the previous.

2005-09-19  Derek Price  <derek@ximbiot.com>

	* regcomp.c, regex_internal.c, regex_internal.h, regexec.c: Fix some
	__attribute definition problems (submitted to GNULIB).

	* __fpending.c, __fpending.h, atexit.c, basename.c, chdir-long.c,
	closeout.c, cycle-check.c, dirname.c, dup-safer.c, dup2.c, exitfail.c,
	fd-safer.c, filenamecat.c, fnmatch.c, ftruncate.c, getaddrinfo.c,
	getcwd.c, getdate.h, getdelim.c, getline.c, getlogin_r.c, getndelim2.c,
	getnline.c, getopt1.c, getpass.c, gettimeofday.c, lstat.c, malloc.c,
	memmove.c, mkdir.c, mkstemp.c, nanosleep.c, openat.c, pipe-safer.c,
	quotearg.c, readlink.c, realloc.c, regex.c, rename.c, rpmatch.c,
	save-cwd.c, strerror.c, stripslash.c, strncasecmp.c, strnlen1.c,
	strstr.c, strtol.c, tempname.c, time_r.c, timespec.h, xalloc-die.c,
	xgetcwd.c, xmalloc.c, xreadlink.c, yesno.c: Update from GNULIB.

	* canon-host.h, md5.c, md5.h, mktime.c, timespec.h: Update from GNULIB.

2005-09-15  Derek Price  <derek@ximbiot.com>

	* regcomp.c, regex_internal.c, regex_internal.h, regexec.c: Update from
	GNULIB, again.

	* regcomp.c, regex_internal.c, regex_internal.h, regexec.c: Update from
	GNULIB.

	* strstr.h: Update from GNULIB.

2005-09-13  Derek Price  <derek@ximbiot.com>

	* canon-host.c: Update from GNULIB.

2005-09-12  Derek Price  <derek@ximbiot.com>

	* gai_strerror.c: Include config.h when available.  Include
	getaddrinfo.h before other headers to test interface.

2005-09-10  Larry Jones  <lawrence.jones@ugs.com>

	* canon-host.c (canon_host_r): Designated initializers are C99 only.
	* getaddrinfo.c (getaddrinfo): Can't do arithmetic on void *.  Fix
	incorrect hints member name.  Fix const mismatch.

2005-09-09  Derek Price  <derek@ximbiot.com>

	Install glibc porting changes.
	* glob.c, glob_.h: Update with alpha-GNULIB.
	* glob-libc.h: New file from same.

2005-09-08  Derek Price  <derek@ximbiot.com>

	* getaddrinfo.h: Don't assume HAVE_GETADDRINFO will be defined when the
	system does not haev getaddrinfo.

2005-09-06  Derek Price  <derek@ximbiot.com>

	* regex_internal.h: Update from GNULIB.

	* getpass.c, regcomp.c, regex_internal.c, regex_internal.h, regexec.c:
	Update from GNULIB.

	Update from GNULIB with alpha-quality patch.
	* Makefile.am: Add getaddrinfo cruft.
	* canon-host.c: Updated to use getaddrinfo module.
	* canon-host.h, gai_strerror.c, getaddrinfo.c, getaddrinfo.h: New
	files.

2005-09-05  Derek Price  <derek@ximbiot.com>

	* Makefile.am (mbchar): Remove obsolete module cruft.

2005-09-04  Derek Price  <derek@ximbiot.com>

	Update from GNULIB.
	* glob.c, glob_.h: Updated.
	* Makefile.am: Move glob targets into alpha order.  Add size_max
	module.

	Add canon-host module from GNULIB.
	* canon-host.c: New file.

	Update from GNULIB.
	* Makefile.am: Import modifications from...
	* Makefile.gnulib: ...here.
	* dup-safer.c, fd-safer.c, getpass.c, regcomp.c, regex.c, regex.h,
	regex_internal.c, regex_internal.h, regexec.c, strcase.h,
	strcasecmp.c, strftime.c, strncasecmp.c, strstr.c, strstr.h,
	unistd-safer.h: Updated.
	* mbchar.c, mbchar.h, mbuiter.h, memchr.c, pipe-safer.c, strnlen1.c,
	strnlen1.h, unistd--.h: New files.

2005-08-31  Derek Price  <derek@ximbiot.com>

	* getdelim.c (getdelim): Return EOF on EOF, revisited.

2005-08-31  Derek Price  <derek@ximbiot.com>

	* getdelim.c (getdelim): Return EOF on EOF.

2005-08-12  Derek Price  <derek@ximbiot.com>

	Update from GNULIB.
	* Makefile.am: Update using Makefile.gnulib changes.
	* Makefile.gnulib, dup-safer.c, dup2.c, fnmatch.c, getcwd.c, getcwd.h,
	getline.c, getline.h, getlogin_r.h, mktime.c, openat.h,
	pagealign_alloc.c, quotearg.c, regex.c, regex.h, save-cwd.c,
	strftime.c, tempname.c, time_r.h, xmalloc.c: Updated.
	* getdelim.c, getdelim.h, regcomp.c, regex_internal.c,
	regex_internal.h, regexec.c, size_max.h: New files.

2005-06-12  Conrad T. Pino  <Conrad@Pino.com>

	* libcvs.dsp: Add files "filenamecat.h" and "lstat.c" to project.
	* libcvs.dep, libcvs.mak: Regenerate for "libcvs.dsp" changes.

2005-06-10  Derek Price  <derek@ximbiot.com>

	Sync with GNULIB.
	* basename.c, canonicalize.c, canonicalize.h, dirname.c, dirname.h,
	fnmatch_.h, fnmatch_loop.c, getcwd.c, getlogin_r.c, mkstemp.c,
	openat.c, openat.h, pathmax.h, rename.c, stripslash.c, tempname.c,
	xreadlink.c: Update from GNULIB.
	* path-concat.c, path-concat.h: Rename to...
	* filenamecat.c, filenamecat.h: ...this.

	Test new stat module.
	* lstat.h: New file.
	* stat.c: Remove this file and...
	* lstat.c: ...move most functionality here.

2005-05-30  Conrad T. Pino  <Conrad@Pino.com>

	* libcvs.dsp: Add file "windows-NT/woe32.h" to project.
	* libcvs.dep: Regenerate for "libcvs.dsp" change.

2005-05-28  Derek Price  <derek@ximbiot.com>

	* glob_.h: s/MISSING_SYS_CDEFS_H/_SYS_CDEFS_H/.  Add comment.

2005-05-27  Derek Price  <derek@ximbiot.com>

	* getlogin_r.h: Import new version from GNULIB.

2005-05-26  Derek Price  <derek@ximbiot.com>

	* glob_.h: Protect __THROW separately from __BEGIN_DECLS.

2005-05-26  Derek Price  <derek@ximbiot.com>

	* system.h: Move non-system substitute GNULIB headers into cvs.h.
	Remove stat macros in favor of GNULIB stat-macros module.  Assume
	<sys/stat.h> and <stdlib.h> per HACKING.

2004-05-26  Conrad T. Pino  <Conrad@Pino.com>

	* libcvs.dsp: Add files "getlogin_r.c" and "getlogin_r.h" to project.
	* libcvs.dep, libcvs.mak: Regenerated for "libcvs.dsp" change.

2004-05-26  Conrad T. Pino  <Conrad@Pino.com>

	* glob_.h: Windows build fakes "ndir.h" which defines "struct direct"
	which differs from "dirent.h" which defines "struct dirent".

2005-05-25  Derek Price  <derek@ximbiot.com>

	* glob.c (LOGIN_NAME_MAX): Wrap sysconf for Windows.

2005-05-25  Derek Price  <derek@ximbiot.com>

	* glob_.h: Simplify <sys/cdefs.h> include and GLIBC macro use.  Replace
	use of defined _LIBC with !defined GLOB_PREFIX.  Restore some GLIBC
	stuff we don't care about anyhow.  Separate some #defines into their
	own section for clarity.
	(__glob_pattern_p): Move this definition...
	* glob.c (__glob_pattern_p): ...here.
	(HAVE_D_TYPE): Remove this macro for simplicity's sake.
	(HAVE__POSIX_GETPWNAM_R): Ditto.
	* getlogin_r.c, getlogin_r.h: Update from GNULIB.
	
2005-05-25  Derek Price  <derek@ximbiot.com>

	* glob.c: Remove HAVE_GETLOGIN_R complexity in favor of the GNULIB
	getlogin_r module.  Redefine "struct_stat64" rather than "stat64" to
	avoid macro collisions on Solaris.
	* getlogin_r.c, getlogin_r.h: New files from GNULIB.

2004-05-24  Conrad T. Pino  <Conrad@Pino.com>

	* libcvs.dsp: Add files "canonicalize.c", "cycle-check.c",
	"canonicalize.h", "cycle-check.h", "dev-ino.h", "glob.h", "mempcpy.h",
	"path-concat.h", "stat-macros.h" and "strdup.h" to project.
	* libcvs.dep, libcvs.mak: Regenerated for "libcvs.dsp" change.

2005-05-24  Conrad T. Pino  <Conrad@Pino.com>

	* glob_.h: Remove "struct stat;" forward declaration and update comment.

2005-05-24  Conrad T. Pino  <Conrad@Pino.com>

	* glob_.h: "#include <sys/stat.h>" for Solaris "#define stat stat64"
	case.

2005-05-24  Derek Price  <derek@ximbiot.com>

	* stat.c: Use system stat & lstat functions in this file.
	* system.h (CVS_STAT, CVS_LSTAT): Remove these macros.

2005-05-24  Derek Price  <derek@ximbiot.com>

	* Makefile.am (BUILT_SOURCES, EXTRA_DIST, MAINTAINERCLEANFILES): Add
	getdate.c due to automake bug.

2005-05-24  Derek Price  <derek@ximbiot.com>

	* glob_.h, glob.c: Don't attempt to handle 64 bit file information
	explicitly when not compiling as part of glibc.

2005-05-23  Derek Price  <derek@ximbiot.com>

	* canonicalize.c, canonicalize.h, cycle-check.c, cycle-check.h,
	dev-ino.h, path-concat.c, path-concat.h: New files from GNULIB.

2005-05-23  Derek Price  <derek@ximbiot.com>

	* Makefile.am: Remove unnecessary comment.

2005-05-23  Derek Price  <derek@ximbiot.com>

	* __fpending.c, alloca_.h, allocsa.c, allocsa.h, asnprintf.c,
	asprintf.c, basename.c, chdir-long.c, chdir-long.h, closeout.c,
	closeout.h, dirname.c, dirname.h, dup-safer.c, dup2.c, error.c,
	error.h, exit.h, exitfail.c, exitfail.h, fd-safer.c, fnmatch.c,
	fnmatch_.h, fnmatch_loop.c, getcwd.c, getcwd.h, getdate.c, getdate.h,
	getdate.y, gethostname.c, getline.c, getline.h, getndelim2.c,
	getndelim2.h, getnline.c, getnline.h, getopt.c, getopt1.c, getopt_.h,
	getopt_int.h, getpagesize.h, getpass.c, getpass.h, gettext.h,
	gettime.c, gettimeofday.c, lstat.c, malloc.c, md5.c, md5.h, mempcpy.c,
	mempcpy.h, memrchr.c, memrchr.h, minmax.h, mkdir.c, mkstemp.c,
	mktime.c, nanosleep.c, openat.c, openat.h, pagealign_alloc.c,
	pagealign_alloc.h, pathmax.h, printf-args.c, printf-args.h,
	printf-parse.c, printf-parse.h, quotearg.c, quotearg.h, readlink.c,
	realloc.c, regex.c, regex.h, rename.c, rpmatch.c, save-cwd.c,
	save-cwd.h, setenv.c, setenv.h, stat-macros.h, stat.c, stdbool_.h,
	stdint_.h, strcase.h, strcasecmp.c, strdup.c, strdup.h, strerror.c,
	strftime.c, strftime.h, stripslash.c, strstr.c, strstr.h, strtol.c,
	strtoul.c, tempname.c, time_r.c, time_r.h, timespec.h, unistd-safer.h,
	unlocked-io.h, unsetenv.c, vasnprintf.c, vasnprintf.h, vasprintf.c,
	vasprintf.h, xalloc-die.c, xalloc.h, xgetcwd.c, xgetcwd.h,
	xgethostname.c, xmalloc.c, xreadlink.c, xreadlink.h, xsize.h, yesno.c,
	yesno.h: Update from GNULIB.

2005-05-20  Derek Price  <derek@ximbiot.com>

	* glob.c (__stat64): Add args to macro definition for clarity.

2005-05-19  Derek Price  <derek@ximbiot.com>

	* glob.c: Use POSIX getpwnam_r on Solaris.

2005-05-19  Derek Price  <derek@ximbiot.com>

	* glob.c: Don't delcare protos for getlogin or getlogin_r if we got one
	from <unistd.h>.

2005-05-18  Derek Price  <derek@ximbiot.com>

	* glob.c (GETPW_R_SIZE_MAX): Remove `;' from macro definition.

2005-05-18  Derek Price  <derek@ximbiot.com>

	More misc cleanup for compatibility with GNULIB & glibc, mostly
	suggested by Paul Eggert <eggert@cs.ucla.edu>.
	* glob.c: Improve comments.
	(GETPW_R_SIZE_MAX): Add parens to definition.
	(glob): Use GNU coding conventions (formatting change).
	* glob_.h: Include <sys/cdefs.h> when possible.

2005-05-17  Conrad T. Pino  <Conrad@Pino.com>

	* libcvs.dsp: Add "glob.c", "glob_.h" and "mempcpy.c" to project.
	* libcvs.dep, libcvs.mak: Regenerated for "libcvs.dsp" change.

2005-05-17  Derek Price  <derek@ximbiot.com>

	More misc cleanup for compatibility with GNULIB & glibc, mostly
	suggested by Paul Eggert <eggert@cs.ucla.edu>.
	* glob.c: Improve comments.  
	(GETPW_R_SIZE_MAX): New macro to avoid undefined sysconf macros.
	(glob): Use new macro.
	* glob_.h: Define __const, __restrict, and __USE_GNU when necessary.
	Protect use of __BEGIN_DECLS & __END_DECLS.  Remove include of
	<sys/types.h>.  Reorganize definitions for GNULIB.  Remove #undefs
	which work around what is now probably a non-existant problem.

2005-05-15  Derek Price  <derek@ximbiot.com>

	* glob_.h, glob.c: More misc cleanup for compatibility with GNULIB &
	glibc, mostly suggested by Paul Eggert <eggert@cs.ucla.edu>.  Remove
	casts to and from void * - they are not needed in C89.

2005-05-13  Derek Price  <derek@ximbiot.com>

	* glob_.h: Enable GNU features by default.  Remove copy/pasted getopt
	#define.
	* glob.c: s/__strdup/strdup/ (Fixes BSD compilation issue).

2005-05-13  Derek Price  <derek@ximbiot.com>

	* glob.c, glob_.h: Misc cleanup for compatibility with GNULIB & glibc,
	mostly suggested by Paul Eggert <eggert@cs.ucla.edu>.

2005-05-12  Derek Price  <derek@ximbiot.com>

	* glob.c, glob_.h: Misc improvements suggested by Paul Eggert, bringing
	these files closer to their glibc sources.  Simplify & reorganize for
	clarity.  Use protos.
	(glob_in_dir): Fix GLOB_ONLYDIR bug/typo.

2005-05-11  Derek Price  <derek@ximbiot.com>

	* .cvsignore: Ignore glob.h.
	* Makefile.am (BUILT_SOURCES, EXTRA_DIST, MOSTLYCLEANFILES): Add glob
	files.
	(glob.h): New target.
	* glob.c, glob_.h: New files.
	* strdup.c, strdup.h: New files from GNULIB.

2005-05-09  Conrad T. Pino  <Conrad@Pino.com>

	* libcvs.dep, libcvs.mak: Regenerated after Windows full rebuild.

2005-05-08  Mark D. Baushke  <mdb@cvshome.org>

	* libcvs.dsp: unistd-safer.h is in lib, not windows-NT.
	* libcvs.dep: Regenerate.

2005-05-07  Mark D. Baushke  <mdb@cvshome.org>

	* libcvs.dep: Use a relative path for unistd-safer.h.

	* libcvs.dsp: Update from GNULIB.
	Add files dup-safer.c, fd-safer.c, and unistd-safer.h.
	* libcvs.dep, libcvs.mak: Regenerate.

2005-05-03  Derek Price  <derek@ximbiot.com>

	Update from GNULIB.
	* chdir-long.c, nanosleep.c, save-cwd.c, tempname.c: Updated.
	* dup-safer.c, fd-safer.c, unistd-safer.h: New files.

2005-05-01  Mark D. Baushke  <mdb@cvshome.org>

	* regex.c: Update from GNULIB.

2005-04-25  Derek Price  <derek@ximbiot.com>

	* getdate.y: Update from GNULIB.

2005-04-15  Derek Price  <derek@ximbiot.com>

	* Makefile.am (DISTCLEANFILES): Add getdate.log.
	* .cvsignore: Ditto.
	* test-getdate.sh: Add new tests.
	(verify, skip, valid_timezone): New functions.

2005-04-12  Derek Price  <derek@ximbiot.com>

	* getdate.y: Update from GNULIB.

2005-04-06  Derek Price  <derek@ximbiot.com>

	* getdate.y: Update from GNULIB.

2005-04-03  Mark D. Baushke  <mdb@cvshome.org>

	* strtol.c: Update from GNULIB.

2005-03-29  Mark D. Baushke  <mdb@cvshome.org>

	* mktime.c, strftime.c: Update from GNULIB.

2005-03-23  Derek Price  <derek@ximbiot.com>

	* Makefile.am (getdate_SOURCES): Remove sources that are now included
	via $(noinst_LIBRARIES).

2005-03-22  Mark D. Baushke  <mdb@cvshome.org>

	* mktime.c, regex.c, stdint_.h, strftime.c, strtol.c: Update from
	GNULIB.

2005-03-10  Mark D. Baushke  <mdb@cvshome.org>

	* mktime.c, save-cwd.c, strftime.c, strtol.c: Update from GNULIB.

2005-03-08  Conrad T. Pino  <Conrad@Pino.com>

	* .cvsignore: Add stdint.h entry.

2005-03-07  Conrad T. Pino  <Conrad@Pino.com>

	* libcvs.dsp: Synchronize with GNULIB updates.
	Remove valloc.c file. Add files __fpending.c, __fpending.h,
	chdir-long.h, closeout.c, closeout.h, getcwd.h,
	pagealign_alloc.c, pagealign_alloc.h, quotearg.c, quotearg.h.
	* libcvs.dep, libcvs.mak: Regenerate for libcvs.dsp change.

2005-03-07  Mark D. Baushke  <mdb@cvshome.org>

	* pagealign_alloc.c: Update from GNULIB.

2005-03-04  Jim Hyslop  <jhyslop@ieee.org>

	* xtime.h: added include guards to fix compile errors on IRIX 5.3
	(Patch from Georg Schwarz <georg.scwarz@freenet.de>.)

2005-03-03  Derek Price  <derek@ximbiot.com>

	* pagealign_alloc.c, pagealign_alloc.h: New files from GNULIB.
	* valloc.c: Remove this obsolete file.

2005-03-02  Jim Meyering  <jim@meyering.net>

	* Makefile.am (libcvs_a_SOURCES): Add the following to support
	the GNULIB closeout module: closeout.c, closeout.h, quotearg.c,
	quotearg.h, __fpending.h.
	* closeout.c, closeout.h: New files.
	* quotearg.c, quotearg.h: New files.
	* __fpending.c, __fpending.h: New files.
	* Makefile.gnulib: Regenerate.

2005-03-02  Derek Price  <derek@ximbiot.com>

	* gettext.h, setenv.c, vasnprintf.c, vasprintf.c: Update from GNULIB.

2005-03-01  Derek Price  <derek@ximbiot.com>

	Update installed GNULIB modules.
	* Makefile.am: Tweak for new GNULIB updates.
	* alloca_.h, dup2.c, error.c, ftruncate.c, getdate.c, getdate.y,
	getopt_.h, gettext.h, gettime.c, malloc.c, mkdir.c, mktime.c,
	realloc.c, rename.c, save-cwd.c, strstr.c, strtoul.c, timespec.h,
	xgetcwd.c: Update these files.
	* chdir-long.c, chdir-long.h, getcwd.c, getcwd.h, mempcpy.c, mempcpy.h,
	memrchr.c, memrchr.h, openat.c, openat.h, strstr.h, strtol.c: New files
	from GNULIB.

2005-03-01  Derek Price  <derek@ximbiot.com>

	* xtime.h: Remove obsolete timeb stuff.

2005-02-20  Mark D. Baushke  <mdb@cvshome.org>

	* xgethostname.c (xgethostname): Check for ENOMEM, which is
	returned by OSX/Darwin if the specified buffer is not large
	enough for the hostname.
	(Problem reported by Neil Conway <neilc@samurai.com>.)

2005-02-08  Derek Price  <derek@ximbiot.com>

	* fncase.c (OSX_filename_classes): Mac OSX doesn't need \ mapped to /.
	* system.h (FOLD_FN_CASE): Clarify comment.

2005-01-31  Derek Price  <derek@ximbiot.com>

	* Makefile.am: Update copyright notices.

2004-12-14  Derek Price  <derek@ximbiot.com>

	* Makefile.am (EXTRA_DIST): Add Makefile.gnulib.

2004-11-30  Conrad T. Pino  <Conrad@Pino.com>

	* libcvs.dep: Regenerated for "../cvsnt.dsp" change.
	* libcvs.mak: Regenerated for "../cvsnt.dsp" change.

2004-11-21  Mark D. Baushke  <mdb@cvshome.org>

	* libcvs.dep, libcvs.dsp, libcvs.mak: Add "xgethostname.c" to
	project.

2004-11-19  Derek Price  <derek@ximbiot.com>

	* xgethostname.h, xgethostname.c: New files from GNULIB.
	* Makefile.am (libcvs_a_SOURCES): Add new files.

2004-11-17  Derek Price  <derek@ximbiot.com>

	* getdate.y, getopt.c, getopt1.c, getopt_.h, getopt_int.h, xgetcwd.c:
	Update from GNULIB.

2004-11-15  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_LIBADD): Add @ALLOCA@.

2004-11-11  Derek Price  <derek@ximbiot.com>

	* Makefile.am (EXTRA_DIST): Add test-getdate.sh.

2004-11-11  Mark D. Baushke  <mdb@cvshome.org>

	* alloca_.h, allocsa.h, mktime.c: Update from GNULIB.

2004-11-11  Mark D. Baushke  <mdb@cvshome.org>

	* strftime.c, getdate.y: Update from GNULIB.
	* getdate.c: Regenerated.

2004-11-10  Mark D. Baushke  <mdb@cvshome.org>

	* test-getdate.sh: Remove non-portable 'Feb 29, 2096 8 years'
	test case. Add comments about portable dates.

2004-11-10  Mark D. Baushke  <mdb@cvshome.org>

	* test-getdate.sh (TZ): Set to UTC0 instead of UTC to fix MacOS X
	problem.

2004-11-10  Mark D. Baushke  <mdb@cvshome.org>

	* mktime.c (SHR): New macro, which is a portable substitute for >>
	that should work even on Crays.
	Problem reported by Mark D. Baushke.
	(TIME_T_MIDPOINT, ydhms_diff, __mktime_internal): Use it.
	(Patch from Paul Eggert of GNULIB.)

	* Makefile.am (getdate_LDADD): Add @ALLOCA@.
	* Makefile.in: Regenerated.

2004-11-09  Mark D. Baushke  <mdb@cvshome.org>

	* strftime.c: Update from GNULIB.

2004-11-05  Conrad T. Pino  <Conrad@Pino.com>

	* libcvs.dsp: Add "readlink.c" to project.
	* libcvs.dep: Regenerate for "libcvs.dsp" change.
	* libcvs.mak: Regenerate for "libcvs.dsp" change.

2004-11-05  Mark D. Baushke  <mdb@cvshome.org>

	* readlink.c: Update from GNULIB.

2004-11-04  Conrad T. Pino  <Conrad@Pino.com>

	* libcvs.dsp: Add "xreadlink.c" and "xreadlink.h" to project.
	* libcvs.dep: Regenerate for "libcvs.dsp" change.
	* libcvs.mak: Regenerate for "libcvs.dsp" change.

2004-11-04  Mark D. Baushke  <mdb@cvshome.org>

	* allocsa.h, allocsa.valgrind: Update from GNULIB.
	* Makefile.in: Regenerated.

2004-11-04  Mark D. Baushke  <mdb@cvshome.org>

	* sunos57-select.c: Move '#undef select' before system #include
	statements to avoid conflicting declarations on BSDI BSD/OS 4.2.

2004-11-03  Mark D. Baushke  <mdb@cvshome.org>

	* Makefile.am: Update from GNULIB.
	* readlink.c, xreadlink.c, xreadlink.h: Add from GNULIB.
	* Makefile.gnulib, Makefile.in: Regenerated.

2004-11-03  Derek Price  <derek@ximbiot.com>

	* getdate.y: Update from GNULIB.

2004-11-02  Mark D. Baushke  <mdb@cvshome.org>

	* getpass.c, setenv.h: Update from GNULIB.

2004-11-02  Mark D. Baushke  <mdb@cvshome.org>

	* test-getdate.sh (getdate): Do not assume 'diff -u' is
	universally available.
	* Makefile.am (getdate_SOURCES): Add allocsa.c sources needed by
	getdate on Solaris.
	* Makefile.in: Regenerated.

2004-11-01  Conrad T. Pino  <Conrad@Pino.com>

	* libcvs.dsp: Add "setenv.c", "unsetenv.c", "allocsa.h" and "setenv.h" to project.
	* libcvs.dep: Regenerate for "libcvs.dsp" change.
	* libcvs.mak: Regenerate for "libcvs.dsp" change.

2004-11-01  Derek Price  <derek@ximbiot.com>

	* test-getdate.sh: Test a date relative to a specified date and one of
	the failing dates from the rcs2-7 test in src/sanity.sh.

2004-11-01  Derek Price  <derek@ximbiot.com>

	* Makefile.am (TESTS): Add test-getdate.sh.
	(check_PROGRAMS): Add getdate.
	(getdate_*): Add info to build getdate.
	(MOSTLYCLEANFILES): Add files that might be generated by
	test-getdate.sh.
	* allocsa.c, allocsa.h, setenv.c setenv.h, unsetenv.c: New files from
	GNULIB.
	* test-getdate.sh: Add some new dates and expect correct output.

2004-10-27  Mark D. Baushke  <mdb@cvshome.org>

	* mktime.c (not_equal_tm): New patch from GNULIB.

2004-10-26  Conrad T. Pino  <Conrad@Pino.com>

	* libcvs.dsp: Add "rpmatch.c" and "yesno.h" to project.
	* libcvs.dep: Regenerate for "libcvs.dsp" change.
	* libcvs.mak: Regenerate for "libcvs.dsp" change.

2004-10-26  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_SOURCES): Move error.h to its own section.

2004-10-21  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_SOURCES): Add yesno.h.
	* rpmatch.c, yesno.h: New files from GNULIB.
	* yesno.c: Update from GNULIB.

2004-10-23  Conrad T. Pino  <Conrad@Pino.com>

	* libcvs.dsp: Add "../windows-NT/stdint.h" to project.
	* libcvs.dep: Regenerate for "libcvs.dsp" change.

2004-10-22  Mark D. Baushke  <mdb@cvshome.org>

	* Makefile.am (libcvs_a_OBJECTS): Fix typo for $(ALLOCA_H) and
	($STDBOOL_H). Also update rules for stdint GNULIB module.
	* Makefile.in: Regenerated.

2004-10-22  Conrad T. Pino  <Conrad@Pino.com>

	* libcvs.dsp: Remove "argmatch.c" from project.

2004-10-22  Mark D. Baushke  <mdb@cvshome.org>

	* Makefile.am (libcvs_a_SOURCES): Add stdint GNULIB module.
	Fix typos in alloca and stdbool sections.
	* stdint_.h: New file from GNULIB.
	* getpagesize.h: Update from GNULIB.
	* mktime.c: Update from GNULIB.

2004-10-22  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_SOURCES): Move md5 to its own section.
	* md5.c, md5.h: Update from GNULIB.

2004-10-21  Derek Price  <derek@ximbiot.com>

	* Makefile.am, rpmatch.c, yesno.h, yesno.c: Back out recent changes.

2004-10-21  Derek Price  <derek@ximbiot.com>

	* error.c, error.h: Update from GNULIB.

2004-10-21  Mark Baushke  <mdb@cvshome.org>

	* libcvs.dep, libcvs.mak: Remove argmatch references.

2004-10-21  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_SOURCES): Move yesno to its own section.
	* rpmatch.c, yesno.h: New files from GNULIB.
	* yesno.c: Update from GNULIB.

2004-10-21  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_SOURCES): Move getpagesize to its own section.
	* getpagesize.h: Update from GNULIB.

2004-10-21  Mark Baushke  <mdb@cvshome.org>

	* Makefile.in: Regenerated.

2004-10-21  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_SOURCES): Remove argmatch.c.
	* argmatch.c: Remove this unused file.

2004-10-21  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_SOURCES): Move strftime to its own section.
	* strftime.h: New file.

2004-10-21  Derek Price  <derek@ximbiot.com>

	* malloc.c: Update from GNULIB.

2004-10-21  Mark Baushke  <mdb@cvshome.org>

	* Makefile.am (all-local): Fix typo.
	* Makefile.in: Regenerated.

2004-10-21  Conrad T. Pino  <Conrad@Pino.com>

	* libcvs.mak: Regenerated for "../zlib/lib.dsp" change.

2004-10-20  Mark D. Baushke  <mdb@cvshome.org>

	* sunos57-select.c: New file. Work around Solaris 7 select()
	hang.
	* Makefile.in: Regenerate for new configure.in.

2004-10-18  Derek Price  <derek@ximbiot.com>

	* system.h: Define DEVNULL here when necessary.  Don't include
	unistd.h twice.

2004-10-16  Conrad T. Pino  <Conrad@Pino.com>

	* libcvs.dsp: Add "vasprintf.c" and "vasprintf.h" to project.
	* libcvs.dep: Regenerate for "libcvs.dsp" change.
	* libcvs.mak: Regenerate for "libcvs.dsp" change.

2004-10-15  Derek Price  <derek@ximbiot.com>

	* asprintf.c, vasprintf.c, vasprintf.h: New files from GNULIB.

2004-10-15  Derek Price  <derek@ximbiot.com>

	* getpass.c: Update from GNULIB.

2004-10-09  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_SOURCES): Add stat-macros.h.
	* stat.c: Update from GNULIB.
	* stat-macros.c: New file from GNULIB.

2004-10-09  Derek Price  <derek@ximbiot.com>

	* nanosleep.c: Update from GNULIB.

2004-10-09  Derek Price  <derek@ximbiot.com>

	* memmove.c: Update from GNULIB.

2004-10-09  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_SOURCES): Move minmax.h to its own section.

2004-10-07  Derek Price  <derek@ximbiot.com>

	* system.h: Reorganize slightly.

2004-10-07  Conrad T. Pino  <Conrad@Pino.com>

	* libcvs.dsp: Remove "xstrdup.c" from project.
	Add "strcasecmp.c", "getopt_.h" and "getopt_int.h" to project.
	* libcvs.dep: Regenerate for "libcvs.dsp" changes.
	* libcvs.mak: Regenerate for "libcvs.dsp" changes.

2004-10-06  Derek Price  <derek@ximbiot.com>

	* system.h: Include getopt.h.

2004-10-06  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_SOURCES): Add getpass.h.
	* getpass.h: New file from GNULIB.
	* getpass.c: Update from GNULIB.

2004-10-06  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_SOURCES): Add strcase.h.
	* strcase.h, strcasecmp.c, strncasecmp.c: New files from GNULIB.

2004-10-06  Derek Price  <derek@ximbiot.com>

	* gethostname.c: Update from gnulib.

2004-10-06  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_SOURCES): Move getline, getnline, & getndelim2
	sources to their own sections.
	* getline.c, getndelim2.c, getndelim2.h, getnline.c, getnline.h: Update
	from GNULIB.

2004-10-06  Derek Price  <derek@ximbiot.com>

	* .cvsignore: Add getopt.h.

2004-10-06  Derek Price  <derek@ximbiot.com>

	* Makefile.am: Add new configuration for getopt.
	* getopt.h: Remove file.
	* getopt_.h, getopt_int.h: New files from GNULIB.
	* getopt.c, getopt1.c: Update from GNULIB.

2004-10-06  Derek Price  <derek@ximbiot.com>

	* mkstemp.c, tempname.c: Update from GNULIB.

2004-10-06  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_SOURCES): Remove xstrdup.c.

2004-10-06  Derek Price  <derek@ximbiot.com>

	* xstrdup.c: Remove this obsolete file.

2004-10-05  Derek Price  <derek@ximbiot.com>

	* Makefile.am (fnmatch, fnmatch-posix): Improve comment.
	* fnmatch.c, fnmatch_loop.c: Update from GNULIB.

2004-10-05  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_SOURCES): Move exit.h to its own section.

2004-10-05  Conrad T. Pino  <Conrad@Pino.com>

	* libcvs.dsp: Remove "savecwd.c", "savecwd.h", "xgetwd.c" from project.
	Add "save-cwd.c", "save-cwd.h", "xgetcwd.c", "xgetcwd.h" to project.
	* libcvs.dep: Regenerated for "libcvs.dsp" change.
	* libcvs.mak: Regenerated for "libcvs.dsp" change.

2004-10-05  Derek Price  <derek@ximbiot.com>

	* basename.c, dirname.c, dirname.h, stripslash.c: Updated from GNULIB.
	* system.h: s/FILESYSTEM_PREFIX_LEN/FILE_SYSTEM_PREFIX_LEN/.

2004-10-05  Derek Price  <derek@ximbiot.com>

	* Makefile.gnulib: New file.

2004-10-05  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_SOURCES): Add xalloc-die.c.
	* xalloc-die.c: New file from GNULIB.
	* xalloc.h, xmalloc.c: Update from GNULIB.

2004-10-05  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_SOURCES): Move gettext.h to its own section.
	* gettext.h, vasnprintf.c, vasnprintf.h: Update from GNULIB.

2004-10-05  Derek Price  <derek@ximbiot.com>

	* savecwd.c: Rename to...
	* save-cwd.c: ...this and replace with the newest version from GNULIB.
	* savecwd.h: Ditto, but to...
	* save-cwd.h: ...this name.
	* Makefile.am (libcvs_a_SOURCES): Remove savecwd.[ch].  Add save-cwd.h
	& save-cwd.c in their own section.

2004-10-05  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_SOURCES): Remove xgetwd.c, add xgetcwd.h &
	xgetcwd.c in their own section.
	* xgetwd.c: Removed.
	* xgetcwd.h, xgetcwd.c: New files imported from GNULIB.

2004-10-05  Derek Price  <derek@ximbiot.com>

	* alloca_.h, alloca.c: Import latest versions from GNULIB.

2004-10-05  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_SOURCES): Move pathmax.h to its own section.

2004-10-05  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_SOURCES): Move unlocked-io.h to its own
	section.
	* unlocked-io.h: Import most recent version from GNULIB.

2004-10-05  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_SOURCES): Move regex.h to its own section.
	* regex.c: Import most recent version from GNULIB.

2004-10-05  Conrad T. Pino  <Conrad@Pino.com>

	* libcvs.dsp: Add "dirname.c" to project to resolve link error.
	* libcvs.dep: Regenerated for "libcvs.dsp" change.
	* libcvs.mak: Regenerated for "libcvs.dsp" change.

2004-10-05  Mark D. Baushke  <mdb@cvshome.org>

	* regex.c (re_comp): Cast gettext return value to char * to
	avoid warning in !ENABLE_NLS case. Patch imported from GNULIB.
	(Problem report from Martin Neitzel <neitzel@sco.gaertner.de>.)

2004-09-09  Conrad T. Pino  <Conrad@Pino.com>

	* libcvs.mak: Regenerated for "../cvsnt.dsp" changes made 2004-09-08.

2004-08-27  Derek Price  <derek@ximbiot.com>

	Import minmax module from GNULIB.

	* Makefile.am (libcvs_A_SOURCES): Add minmax.h.
	* minmax.h: New file.

2004-07-13  Derek Price  <derek@ximbiot.com>

	* .cvsignore: Ignore GCC profiling data.

2004-06-24  Derek Price  <derek@ximbiot.com>

	* libcvs.dsp: Add "./xsize.h" to Header file list.  Add "./strftime.c"
	& "./time_r.c" to Source file list.
	* libcvs.dep, libcvs.mak: Regenerated for "./libcvs.dsp" change.
	(Patch submitted by Conrad T. Pino <Conrad@Pino.com>.)

2004-06-09  Derek Price  <derek@ximbiot.com>

	* Makefile.am (xsize): Move GNULIB xsize module into its own section.

2004-05-20  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_SOURCES): Add strftime.c.
	* strftime.c: New file.

2004-05-17  Derek Price  <derek@ximbiot.com>

	* libcvs.dsp: Add "lib/xtime.h" to project header files.
	* libcvs.dep: Regnerated for "libcvs.dsp" file change.
	(Patch from Conrad T. Pino <Conrad@Pino.com>.)

2004-05-15  Derek Price  <derek@ximbiot.com>

	Back out GNULIB getdate update until date parsing problem is fixed.
	* Makefile.am: Temporarily comment out getdate.y test targets.
	* getdate.y: Restored from version 1.19.
	* xtime.h: Readded from version 1.1.
	* Makefile.in, getdate.c: Regenerated.

2004-05-15  Derek Price  <derek@ximbiot.com>

	* libcvs.dsp: Move all "../lib/*.c" files to this project.  Header file
	list updated for GNULIB updates.
	* libcvs.dep: Regenerated for "libcvs.dsp" changes.
	* libcvs.mak: Regenerated for "libcvs.dsp" changes.
	(Patch from Conrad T. Pino <Conrad@Pino.com>.)

2004-05-14  Derek Price  <derek@ximbiot.com>

	* libcvs.dsp: Add basename.c & gettime.c for Windows build.
	(Patch from Conrad T. Pino <Conrad@Pino.com>.)

2004-05-14  Derek Price  <derek@ximbiot.com>

	* gettime.c, nanosleep.c: Updated from GNULIB.

2004-05-03  Mark D. Baushke  <mdb@cvshome.org>

	* Makefile.in (check-TESTS): Correct the script to deal with some
	make (BSD) that use 'sh -e' which will terminate whenever a
	command (such as test -n "") fails.

2004-05-03  Derek Price  <derek@ximbiot.com>

	* Makefile.am (getdate_LDADD): Add $(LIBINTL), needed on some systems.

2004-05-03  Derek Price  <derek@ximbiot.com>

	* Makefile.am (BUILT_SOURCES, MAINTAINERCLEANFILES): Remove getdate.c,
	Automake determines this automatically.
	* Makefile.in: Regenerated.

2004-05-02  Derek Price  <derek@ximbiot.com>

	* progname.c (progname): Assume = "getdate" for now.

2004-05-02  Derek Price  <derek@ximbiot.com>

	* Makefile.am (getdate_SOURCES): Add xmalloc, xstrdup, error, exitfail,
	and progname for getdate test program on some systems.
	* error.c, progname.c: New file.
	(Report from Mark D. Baushke <mdb@cvshome.org>.)

2004-04-29  Derek Price  <derek@ximbiot.com>

	* getdate.y: Restore unforked version from GNULIB.
	* unlocked-io.h: Update to most recent version from GNULIB.
	* getdate.y: Regenerated.

2004-04-28  Derek Price  <derek@ximbiot.com>

	* .cvsignore: Add getdate executable.
	* Makefile.am: Remove out-of-date comment about regex.  Use Automake
	comments where the comments won't look good in the Makefile.
	(AM_CPPFLAGS): Remove obsolescent include.
	(TESTS, MOSTLYCLEANFILES, check_PROGRAMS, getdate_*): Add support for
	testing getdate.
	* test-getdate.sh: New file.
	* getdate.y: Move include to compile in test mode.
	* Makefile.in, getdate.c: Regenerated.

2004-04-28  Derek Price  <derek@ximbiot.com>

	* system.h: Include timespec.h instead of xtime.h.
	* xtime.h: Removed.

2004-04-27  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_SOURCES): Add getdate.h, getdate.y in their own
	section.
	(BUILT_SOURCES, MAINTAINERCLEANFILES): Add getdate.c.
	* getdate.h, getdate.y: Import updated versions from GNULIB.
	* Makefile.in: Regenerated.

2004-04-27  Derek Price  <derek@ximbiot.com>

	* mktime.c: New file.
	* Makefile.in: Regenerated.

2004-04-27  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_SOURCES): Add time_r.h.
	* time_r.h: New file.
	* Makefile.in: Regenerated.

2004-04-27  Derek Price  <derek@ximbiot.com>

	* nanosleep.c: New file.
	* Makefile.in: Regenerated.

2004-04-27  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_SOURCES): Add gettime.c.
	* gettime.c: New file.
	* Makefile.in: Regenerated.

2004-04-27  Derek Price  <derek@ximbiot.com>

	* gettimeofday.c: New file.
	* Makefile.in: Regenerated.

2004-04-27  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_SOURCES): Add timespec.h.
	* timespec.h: New file.
	* Makefile.in: Regenerated.

2004-04-27  Derek Price  <derek@ximbiot.com>

	* system.h: Move definition of FILENAMES_CASE_INSENSITIVE to
	windows-NT/config.h.

2004-04-27  Derek Price  <derek@ximbiot.com>

	Add dirname module from GNULIB.

	* Makefile.am (libcvs_SOURCES): Add new files.
	* basename.c, dirname.c, dirname.h: New files.
	* stripslash.c: Update from GNULIB.
	* system.h (ISDIRSEP): Remove.
	(ISABSOLUTE): s/ISDIRSEP/ISSLASH/.  Use FILESYSTEM_PREFIX_LEN to search
	for DOS drive spec rather than reimplementing.
	* Makefile.in: Regenerated.

2004-04-26  Derek Price  <derek@ximbiot.com>

	* libcvs.dsp: Add stdbool.h from windows-NT as source dependency.
	* libcvs.mak: Regenerated.

2004-04-23  Derek Price  <derek@ximbiot.com>

	* libcvs.dsp, libcvs.dep, libcvs.mak: Back out recent stdbool.h change.

2004-04-23  Derek Price  <derek@ximbiot.com>

	* .cvsignore: Add stdbool.h.

2004-04-23  Derek Price  <derek@ximbiot.com>

	* libcvs.dsp: Create stdbool.h.
	* libcvs.dep, libcvs.mak: Regenerated.

2004-04-22  Derek Price  <derek@ximbiot.com>

	* system.h: #include <fnmatch.h>.

2004-04-22  Derek Price  <derek@ximbiot.com>

	* system.h: #include <stdbool.h>.

2004-04-21  Derek Price  <derek@ximbiot.com>

	Add stdbool module from GNULIB.

	* stdbool_.h: New file.
	* Makefile.am (stdbool.h, BUILT_SOURCES, EXTRA_DIST, MOSTLYCLEANFILES):
	Add stdbool cruft.
	* Makefile.in: Regenerated.

2004-04-20  Derek Price  <derek@ximbiot.com>

	* system.h: Correct comments.

2004-04-19  Derek Price  <derek@ximbiot.com>

	* system.h: Gratuitous reformatting.

2004-04-19  Derek Price  <derek@ximbiot.com>

	* Makefile.am (EXTRA_DIST): s/lib\.\w+/libcvs.*/i.
	* Makefile.in: Regenerated.

2004-04-19  Derek Price  <derek@ximbiot.com>

	* libcvs.mak: Regenerated for "zlib/libz.dsp" change.
	(Patch from Conrad T. Pino <Conrad@Pino.com>.)

2004-04-17  Derek Price  <derek@ximbiot.com>

	* libcvs.dsp, libcvs.dep, libcvs.mak: Move...
	* lib.dsp, lib.dep, lib.mak: ...here.
	(Patch from Conrad T. Pino <Conrad@Pino.com>.)

2004-04-17  Derek Price  <derek@ximbiot.com>

	* LIB.dsp: Rename to...
	* lib.dsp: ...this.

2004-04-15  Derek Price  <derek@ximbiot.com>

	* lib.dsp: Set PROP BASE directories to projet standard
	has "Reset" function use project defaults.
	Change "..\lib\" paths to ".\" for consistency.
	* lib.mak: Regenerated for lib.dsp change.
	(Patch from Conrad T. Pino <Conrad@Pino.com>.)

2004-04-15  Derek Price  <derek@ximbiot.com>

	* lib.dsp: Dropped "alloca.c" from project.
	* lib.dep: Regenerated for "lib.dsp" change.
	* lib.mak: Regenerated for "lib.dsp" change.
	(Patch from Conrad T. Pino <Conrad@Pino.com>.)

2004-04-15  Derek Price  <derek@ximbiot.com>

	* Makefile.am (EXTRA_DIST): Add LIB.dep.
	* Makefile.in: Regenerated.

2004-04-15  Derek Price  <derek@ximbiot.com>

	* lib.dsp: Update to compile fnmatch.
	* LIB.dep: New generated file.
	* lib.mak: Regenerated.
	(Patch from Conrad T. Pino <conrad@pino.com>.)

2004-04-14  Derek Price  <derek@ximbiot.com>

	Update to current fnmatch module from GNULIB.

	* Makefile.am (BUILT_SOURCES, EXTRA_DIST): Add fnmatch sources.
	(MOSTLYCLEANFILES): Initialize & add fnmatch & alloca headers.
	(libcvs_a_OBJECTS): Make dependent on $(FNMATCH_H).
	(fnmatch.h): New target.
	* fnmatch.h.in: Rename to...
	* fnmatch_.h: ...this.
	* fnmatch.c: New version from GNULIB.
	* fnmatch_loop.c: New file.
	* Makefile.in: Regenerated.

2004-04-14  Derek Price  <derek@ximbiot.com>

	* Makefile.am (EXTRA_DIST): Remove lib.dep.
	* Makefile.in: Regenerated.

2004-04-07  Derek Price  <derek@ximbiot.com>

	* regex.c: Revise "FREE_VAR" macro to eliminate C4090/C4022 warnings
	in Windows build with Visual C++ 6.0 compiler.
	(Original patch from Conrad T. Pino <Conrad@Pino.com>.)

2004-04-07  Derek Price  <derek@ximbiot.com>

	Update regex module from GNULIB.

	* Makefile.am (libcvs_a_SOURCES): Remove regex.c.
	* regex.c, regex.h: Import new versions from GNULIB.
	* Makefile.in: Regenerated.

2004-04-04  Derek Price  <derek@ximbiot.com>

	* system.h: Correct comment.

2004-04-04  Derek Price  <derek@ximbiot.com>

	* system.h: Restore complete path folding for Cygwin under Windows.
	Add ISABSOLUTE macro for determining whether a path is absolute to
	handle X:\ style paths under Windows (& Cygwin).

2004-03-29  Derek Price  <derek@ximbiot.com>

	* lib.mak: Regenerated with VC++ 5.0.
	(Sent by Dennis Jones <djones@oregon.com>.)
	* LIB.dep: Removed.

2004-03-28  Derek Price  <derek@ximbiot.com>

	* lib.mak: Regenerated.

2004-03-27  Derek Price  <derek@ximbiot.com>

	* LIB.dep, lib.mak: Regenerated.

2004-03-26  Derek Price  <derek@ximbiot.com>

	* Makefile.in: Regenerated.

2004-03-26  Derek Price  <derek@ximbiot.com>

	* LIB.dep, lib.dsp, lib.mak: New files.
	* Makefile.am (EXTRA_DIST): Add new files.
	* .cvsignore: Ignore MSVC build cruft.

2004-03-25  Derek Price  <derek@ximbiot.com>

	* system.h: No longer fold back slashes in paths into slashes.

2004-03-25  Derek Price  <derek@ximbiot.com>

	* realloc.c: Update to more recent version from GNULIB to fix a WOE32
	compilation problem.

2004-03-20  Derek Price  <derek@ximbiot.com>

	* mkdir.c (mkdir): Declare string args const.

2004-03-13  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_SOURCES): Add error.h.
	* Makefile.in: Regenerated.

2004-03-11  Derek Price  <derek@ximbiot.com>

	* xsize.h: Move the default definition of SIZE_MAX into
	windows-NT/config.h.in.

2004-03-07  Derek Price  <derek@ximbiot.com>

	* xsize.h: Provide a default definition of SIZE_MAX for Windows.

2004-02-20  Derek Price  <derek@ximbiot.com>

	Import xalloc module from GNULIB, as well as its remaining unimported
	dependency, the exitfail module.

	* Makefile.am (libcvs_a_SOURCES): Add new sources.
	* exitfail.c, exitfail.h, xalloc.h, xmalloc.c, xstrdup.c: New files.
	* Makefile.in: Regenerated.

2004-02-15  Derek Price  <derek@ximbiot.com>

	Import vasnprintf module from GNULIB.
	* asnprintf.c, printf-args.c, printf-args.h, printf-parse.c,
	printf-parse.h, vasnprintf.c, vasnprintf.h: New files.
	* Makefile.am (libcvs_a_SOURCES): Add header files.

2004-02-15  Derek Price  <derek@ximbiot.com>

	Import xsize module from GNULIB for vasnprintf().
	* xsize.h: New file.
	* Makefile.am (libcvs_a_SOURCES): Add xsize.h.

2004-02-15  Derek Price  <derek@ximbiot.com>

	Import alloca module from GNULIB for vasnprintf().
	* alloca_.h, alloca.c: New files.
	* .cvsignore: Ignore alloca.h.
	* Makefile.am: Compile alloca() when necessary.
	* Makefile.in: Regenerated.

2004-02-15  Derek Price  <derek@ximbiot.com>

	Make error() accessible to the GNULIB functions.

	* error.h: Move in from ../src.

2004-02-15  Derek Price  <derek@ximbiot.com>

	* strerror.c: Update to latest version from gnulib.

2003-12-14  Mark D. Baushke  <mdb@cvshome.org>

	* fseeko.c: Remove unnecessary #ifdef code.
	* ftello.c: Ditto.
	* system.h: Ditto.

2003-12-10  Mark D. Baushke  <mdb@cvshome.org>

	* ftello.c: Rework for AC_FUNC_FSEEKO.
	* system.h: Rework fseeko and ftello prototypes.

2003-12-10  Mark D. Baushke  <mdb@cvshome.org>

	* xgetwd.c (pathmax.h): Add new include.
	(Patch from Rob Clevenger <rob@robsite.org>.)

2003-12-09  Derek Price  <derek@ximbiot.com>

	* system.h: Correct spelling in comment.

2003-12-09  Mark D. Baushke  <mdb@cvshome.org>

	* fseeko.c (fseeko): New file and function to help with largefile
	support.
	* ftello.c (ftello): Ditto.
	* system.h (ftello): Add prototype if !defined(HAVE_FTELLO).
	* Makefile.in: Regenerated.

2003-12-09  Larry Jones  <lawrence.jones@eds.com>

	* getdate.c: Regenerated.

2003-12-08  Mark D. Baushke  <mdb@cvshome.org>

	* getdate.y: Remove #include <stdio.h> to avoid problems compiling
	AIX with '#define _LARGE_FILES 1' with Redeclaration of fgetpos64
	and ftello64. This may be an autoconf problem with
	AC_SYS_LARGEFILE.
	* getdate.c: Regenerated.

2003-12-03  Derek Price  <derek@ximbiot.com>

	* fncase.c (OSX_filename_classes): New array.
	(fncmp): Use FOLD_FN_CASE rather relying on the fact that it will be
	#defined to use WNT_filename_classes.
	* system.h: Define FOLD_FN_CASE, fncmp, and fnfold for all case
	insensitive filesystems.  Share some code between the new generic case
	insensitive section and the old WOE32 section.

2003-11-25  Mark D. Baushke  <mdb@cvshome.org>

	* Makefile.in: Regenerate for new configure.in.

2003-10-27  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_SOURCES): Remove obsolete PROTO.h.
	* Makefile.in: Regenerated.

2003-10-22  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_LIBADD): Undo the previous change and move it
	into the program linking step in `../src'.
	* Makefile.in: Regenerated.

2003-10-21  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_LIBADD): Add $(LIBINTL) for gettext.
	* Makefile.in: Regenerated.

2003-10-04  Derek Price  <derek@ximbiot.com>

	* sighandle.c (SIG_handle): With the last commit, avoid allowing a
	second interrupt while this interrupt handler runs.
	(SIG_beginCrSect, SIG_endCrSect): With the last change, move these two
	functions to the top of this file to avoid prototyping them for
	SIG_handle().
	(*): C89ify some prototypes.

2003-10-04  Derek Price  <derek@ximbiot.com>

	* system.h (EXIT_FAILURE): Don't define here since it's defined in
	exit.h.

2003-10-01  Derek Price  <derek@ximbiot.com>

	* getpass.c: Update to new version from GNULIB with Larry's fix
	incorporated.

2003-10-01  Derek Price  <derek@ximbiot.com>

	* getopt.h, getopt.c, getopt1.c: Update from GNULIB.

2003-10-01  Derek Price  <derek@ximbiot.com>

	* getline.c, getndelim2.c: Merge changes from GNULIB.

2003-10-01  Derek Price  <derek@ximbiot.com>

	* system.h: Assume <string.h> and <sys/types.h> per the notes in
	HACKING.

2003-09-30  Larry Jones  <lawrence.jones@eds.com>

	* getpass.c: Fix bug that caused password to be echoed on many
	systems (input may not be followed by output on the same stream
	without an intervening call to a file positioning function).
	(Reported by David Everly <david.everly@mci.com>.)

2003-09-30  Derek Price  <derek@ximbiot.com>

	Provide an atexit() function on systems which provide on_exit() but not
	atexit().

	* atexit.c: New file.
	* Makefile.in: Regenerated.

2003-08-19  Derek Price  <derek@ximbiot.com>

	* system.h: Assume more headers, re C89 & GNULIB.

2003-08-12  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_SOURCES): Remove getndelim2 - it is now in
	LIBOBJ.

2003-07-31  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_SOURCES): Remove getpass.c per new getpass-gnu
	API from GNULIB.
	* Makefile: Regenerated.

2003-07-29  Derek Price  <derek@ximbiot.com>

	* getpass.c: New file, almost identical to GNULIB's currect version.
	* Makefile.am (libcvs_a_SOURCES): Add getpass.c.
	* Makefile.in: Regenerated.

2003-07-25  Derek Price  <derek@ximbiot.com>

	* lstat.c: Sync with GNULIB.
	* stat.c: Almost sync'd with GNULIB.

2003-07-25  Derek Price  <derek@ximbiot.com>

	* getline.h: Sync this file with GNULIB.

2003-07-24  Derek Price  <derek@ximbiot.com>

	* getline.c, getline.h, getndelim2.c, getndelim2.h, getnline.c,
	getnline.h: Merge some more changes from GNULIB.

2003-07-24  Derek Price  <derek@ximbiot.com>

	* gethostname.c: Update from GNULIB.

2003-07-23  Derek Price  <derek@ximbiot.com>

	* system.h: Move some includes from src/cvs.h.

2003-07-22  Derek Price  <derek@ximbiot.com>

	* system.h: Assume <stddef.h> per C89.

2003-07-22  Derek Price  <derek@ximbiot.com>

	* strerror.c: Import current version from GNULIB.
	* Makefile.in: Regenerated.

2003-07-22  Derek Price  <derek@ximbiot.com>

	* Makefile.am: Make a comment more specific about LIBOBJ, while
	removing a list of LIBOBJ'd file maintained elsewhere.
	* memmove.c: Import current version from GNULIB.

2003-07-22  Derek Price  <derek@ximbiot.com>

	* exit.h: Really add this file this time.
	* Makefile.in: Regenerated.

2003-07-22  Derek Price  <derek@ximbiot.com>

	* exit.h: New file from GNULIB.
	* Makefile.am (lib_SOURCES): Add exit.h.

2003-07-19  Derek Price  <derek@ximbiot.com>

	* stat.c: Sync us with GNULIB, except for the xalloc.h requirement.
	xalloc.h is waiting on $GNULIB/modules/error for import.

2003-07-19  Derek Price  <derek@ximbiot.com>

	* Makefile.am: Add getndelim.c & getnline.c as part of the new API.
	* getline.c: Merge more of Bruno Habile's GNULIB changes to this file
	so our fork is less divergent.
	* getline.h: Ditto.
	* getndelim2.c: Ditto.
	* getndelim2.h: Ditto.
	* getnline.c: Ditto.
	* getnline.h: Ditto.

	* Makefile.in: Regenerated.

2003-07-19  Derek Price  <derek@ximbiot.com>

	* savecwd.c: Move the MD5 stuff that shifted here a few commits back...
	* md5.c: ...back to here.

2003-07-19  Derek Price  <derek@ximbiot.com>

	* getndelim2.c: Make limit an ssize_t rather than int, as per the
	return type.
	* getndelim2.h: Ditto.
	* getnline.c: Ditto.
	* getnline.h: Ditto.

2003-07-19  Derek Price  <derek@ximbiot.com>

	* getline.c (getdelim): Return ssize_t, as per getline.h.

2003-07-17  Derek Price  <derek@ximbiot.com>

	* getline.c: Merge some of Bruno Habile's changes from GNULIB including
	some he didn't quite finish, like renaming of n => linesize.
	* getline.h: Ditto.
	* getndelim2.c: Ditto.
	* getndelim2.h: Ditto.
	* getnline.c: Ditto.
	* getnline.h: Ditto.

2003-07-17  Derek Price  <derek@ximbiot.com>

	* getndelim2.c: New file.
	* getndelim2.h: Ditto.

	* Makefile.am (libcvs_a_SOURCES): Add getndelim2.h.
	* getline.h: Return ssize_t.
	* getnline.h: Ditto.
	* getline.c: Ditto and depend on getndelim2.
	* getnline.c: Ditto.

	* Makefile.in: Regenerated.

2003-07-16  Derek Price  <derek@ximbiot.com>

	* getline.c: Don't include the unneeded unlocked-io.h.
	* getnline.c: Remove extra blank line.  Use GETNDELIM_NO_LIMIT rather
	than GETNLINE_NO_LIMIT.
	* getnline.h: Define GETNDELIM_NO_LIMIT rather than GETNLINE_NO_LIMIT.

2003-07-16  Derek Price  <derek@ximbiot.com>

	* PROTO.h: Remove this file since some of our GNULIB sources no longer
	support compilers that can't handle prototypes.

	* md5.c: s/PROTO//.
	* md5.h: Ditto.
	* savecwd.c: Ditto.
	* savecwd.h: Ditto.
	* sighandle.c: Ditto.

2003-07-16  Derek Price  <derek@ximbiot.com>

	* getline.h: Include config.h so to use the macros it defines.
	(Thanks to Steve McIntyre <stevem@cvshome.org> for the report.)

2003-07-16  Derek Price  <derek@ximbiot.com>

	* pathmax.h: New file.

	* Makefile.am (libcvs_a_SOURCES): Add pathmax.h.
	* system.h: Remove PATH_MAX stuff.

	* Makefile.in: Regenerated.

2003-07-16  Derek Price  <derek@ximbiot.com>

	* getnline.c: New file based on GNULIB and resubmitted to GNULIB.
	* getnline.h: Ditto.

	* Makefile.am (libcvs_a_SOURCES): Add new getnline.h.
	* getline.c: Import and hack version from GNULIB to prevent double
	prototype problem on 64-bit machines.  Resubmitted to GNULIB.
	* getline.h: Ditto.
	(Thanks to Steve McIntyre <stevem@cvshome.org> for the report.)

	* Makefile.in: Regenerated.

2003-07-15  Derek Price  <derek@ximbiot.com>

	* unlocked-io.h: s/LGPL/GPL/g, imported from GNULIB.

2003-06-13  Derek Price  <derek@ximbiot.com>

	* mkstemp.c: New file.
	* tempname.c: Ditto.

	* Makefile.in: Regenerated.

2003-06-11  Derek Price  <derek@ximbiot.com>

	* Makefile.am (libcvs_a_SOURCES): Add gettext.h.
	* system.h: Include gettext.h.

	* gettext.h: New file from GNULIB.

	* Makefile.in: Regenerated.

2003-06-09  Derek Price  <derek@ximbiot.com>

	* system.h: Reference the WIN32 macro only in order to define WOE32,
	in accordance with the GNU convention to avoid implying that we
	consider the Microsoft Windows Operating Environment any sort of "win".

2003-05-29  Derek Price  <derek@ximbiot.com>

	* Makefile.am: xgssapi.h is no more.
	* xgssapi.h: Move its contents to src/gssapi-client.h
	(Patch from Alexey Mahotkin <alexm@hsys.msk.ru>.)

	* Makefile.in: Regenerated.

2003-05-28  Derek Price  <derek@ximbiot.com>

	* getline.h, md5.c, sighandle.c, savecwd.h: Use PROTO.h.
	* savecwd.c: Use standard PROTO macro.
	* Makefile.am: Add PROTO.h
	* PROTO.h: PROTO macro definition is finally here, as specified in
	Autoconf documentation.
	(Original patch from Alexey Mahotkin <alexm@hsys.msk.ru>.)

	* Makefile.in: Regenerated.

2003-05-28  Derek Price  <derek@ximbiot.com>

	* Makefile.am: get rid of $(includeopt); -Isrc/ is ok, so remove
	lengthy explanation.
	(Patch from Alexey Mahotkin <alexm@hsys.msk.ru>.)

	* Makefile.in: Regenerated.

2003-05-27  Derek Price  <derek@ximbiot.com>

	* README: New file explaining the GNULIB origin of many of the lib
	files.

2003-05-21  Derek Price  <derek@ximbiot.com>

	* Makefile.in: Regenerate with Automake version 1.7.5.

2003-05-21  Derek Price  <derek@ximbiot.com>

	* unlocked-io.h: New file from GNULIB.
	* system.h: Include unlocked-io.h.
	* Makefile.am (libcvs_a_SOURCES): Add unlocked-io.h.

	* Makefile.in: Regenerated.

2003-05-21  Derek Price  <derek@ximbiot.com>

	* realloc.c: New file from GNULIB.
	* system.h (HAVE_REALLOC, CVS_REALLOC): Add support for realloc.c.

2003-05-20  Derek Price  <derek@ximbiot.com>

	* stat.c: Don't compile LSTAT code unless configure detected that we
	need to be trailing-slash-safe.

2003-05-20  Derek Price  <derek@ximbiot.com>

	* Makefile.in: Regenerated.

2003-05-20  Derek Price  <derek@ximbiot.com>

	* system.h: Move in the standard includes from cvs.h.  Define
	CVS_MALLOC & CVS_REALLOC.

2003-05-19  Derek Price  <derek@ximbiot.com>

	* malloc.c: New file from <https://savannah.gnu.org/projects/gnulib>.

2003-05-19  Derek Price  <derek@ximbiot.com>

	* lstat.c: New file from <https://savannah.gnu.org/projects/gnulib>.
	* stat.c: Ditto.
	* system.h: Define CVS_STAT and CVS_LSTAT properly when the system
	versions of stat and lstat are broken.

2003-05-19  Derek Price  <derek@ximbiot.com>

	* .cvsignore: Add fnmatch.h for Windows.

2003-05-09  Derek Price  <derek@ximbiot.com>

	* xgssapi.h: #include config.h.
	(Reported by Boyd Lynn Gerber <gerberb@zenez.com>.)

2003-05-09  Derek Price  <derek@ximbiot.com>

	* system.h: Define S_ISSOCK on SCO OpenServer.

2003-05-09  Derek Price  <derek@ximbiot.com>

	* Makefile.in: Regenerated.

2003-04-30  Derek Price  <derek@ximbiot.com>

	* Makefile.in: Regenerated.

2003-04-10  Larry Jones  <lawrence.jones@eds.com>

	* Makefile.in: Regenerated.

2003-04-03  Derek Price  <derek@ximbiot.com>

	* Makefile.am (distclean-local): New target to remove fnmatch.h when
	necessary.  This should be handled by Automake, but until then...
	(Resolves issue #100
	<http://ccvs.cvshome.org/issues/show_bug.cgi?id=100> from
	Serguei E. Leontiev <Serge3lse@cvshome.org>.)

	* Makefile.in: Regenerated.

2003-03-24  Derek Price  <derek@ximbiot.com>

	* Makefile.am: Update copyright notice.

	* Makefile.in: Regenerated.

2003-03-19  Mark D. Baushke  <mdb@cvshome.org>

	* Makefile.in: Regenerated.

2003-03-19  Derek Price  <derek@ximbiot.com>

	* Makefile.in: Regenerated.

2003-02-25  Derek Price  <derek@ximbiot.com>

	* Makefile.in: Regenerated.

2003-01-23  Larry Jones  <lawrence.jones@eds.com>

	* getdate.y: Add RCS/CVS timestamp format (Y.mm.dd.hh.mm.ss).
	* getdate.c: Regenerated.

	* wait.h (WCOREDUMP): New macro.

2002-12-27  Derek Price  <derek@ximbiot.com>

	* getdate.c: Regenerated with Bison 1.35.

2002-11-04  Derek Price  <derek@ximbiot.com>

	* getdate.y (Convert): Add comment as to the effectiveness of
	descriptive error messages.

2002-09-24  Derek Price  <derek@ximbiot.com>

	* Makefile.in: Regenerated using Automake 1.6.3.

2002-09-24  Derek Price  <derek@ximbiot.com>

	* Makefile.in: Regenerated.

2002-09-15  Larry Jones  <lawrence.jones@eds.com>

	* system.h: Add FOPEN_BINARY_READWRITE.
	(Patch submitted by Josh Lehan <cvs@krellan.com>.)

2002-08-12  Derek Price  <oberon@umich.edu>

	* Makefile.am: Remove obsolete reference to `ftruncate.c'.
	(Symptoms reported by
	Andrey Aristarkhov <Aristarkhov@bitechnology.ru>.)
	* Makefile.in: Regenerated.

2002-08-08  Derek Price  <oberon@umich.edu>

	* regex.c: Removed unused `compile_range' declaration.
	(Patch from John Tytgat <John.Tytgat@aaug.net>.)

2002-05-09  Larry Jones  <lawrence.jones@eds.com>

	* getline.c (getstr): Make terminator int instead of char to avoid
	promotion problems.
	* getline.h (getstr): Change to match.

2002-05-08  Derek Price  <oberon@umich.edu>

	* Makefile.in: Regenerated.
	* fnmatch.h: Move this file...
	* fnmatch.h.in: here.

2002-05-08  Derek Price  <oberon@umich.edu>

	* strerror.c: Use HAVE_CONFIG_H and put config.h in brackets rather
	than quotes.

2002-05-02  Derek Price  <oberon@umich.edu>

	* fnmatch.h: More #defines to avoid Mac OS X namespace conflicts.

2002-04-30  Derek Price  <oberon@umich.edu>

	* hostname.c: Rename to...
	* gethostname.c: this.
	* Makefile.am: Change comment to reflect above.

	* Makefile.in: Regenerated with automake 1.6.

2002-04-28  Derek Price  <oberon@umich.edu>

	* getopt.h: #define new names for functions and variables when they
	might conflict with system definitions (namely on Mac OS X 10.1 with
	the most recent dev packages - This should be removable after the Mac
	dev packages are fixed.).
	* regex.h: Ditto.
	* Makefile.am (libcvs_a_SOURCES): Remove fnmatch.h.

2002-04-20  Larry Jones  <larry.jones@sdrc.com>

	* Makefile.am (libcvs_a_SOURCES): Add getpagesize.h.
	* Makefile.in: Regenerated.

2001-09-18  Derek Price  <dprice@collab.net>

	* fnmatch.c: The header file for a system function we're replacing with
	our own should be #included using double quotes.
	(Patch from Corey Minyard  <minyard@acm.org> via
	Alexey Mahotkin <alexm@hsys.msk.ru>.)

2001-09-04  Derek Price  <dprice@collab.net>

	* Makefile.in: Regenerated with automake 1.5.

2001-08-09  Derek Price  <dprice@collab.net>

	* getpagesize.h: Only include sys/param.h when HAVE_SYS_PARAM_H has
	been defined by configure.

2001-08-07  Derek Price  <dprice@collab.net>

	* build_lib.com: Verify.
	* getdate.y: Move the include of xtime.h out from underneath the ifdef
	so that it is always included.
	(Patch from Mike Marciniszyn <Mike.Marciniszyn@sanchez.com>.)

	* getdate.c: Regenerated.

2001-08-06  Derek Price  <dprice@collab.net>

	* Makefile.in: Regenerated.

2001-07-05  Larry Jones  <larry.jones@sdrc.com>

	* getpagesize.h: New file to define getpagesize() for systems that
	don't already have it.
	* valloc.c (valloc): Use it.

2001-07-04  Derek Price  <dprice@collab.net>

	* Makefile.in: Regenerated with new Automake release candidate 1.4h.

2001-06-28  Derek Price  <dprice@collab.net>

	* Makefile.in: Regenerated with new version of Automake.

2001-06-15  Derek Price  <dprice@collab.net>

	* xselect.h: Don't include xtime.h.
	(Thanks to Martin Neitzel <neitzel@sco.gaertner.de>.)

2001-04-25  Derek Price  <dprice@collab.net>

	* Makefile.in: Regenerated using AM 1.4e as of today at 18:10 -0400.

2001-04-02  Derek Price  <dprice@collab.net>
	    for Alon Ziv  <alonz@zapper.com>

	* getdate.y: Add a declaration for yyparse().

	* getdate.c: Regenerated.

2001-03-14  Derek Price  <derek.price@openavenue.com>

        * Makefile.in: Regenerated

2001-02-20  Derek Price  <derek.price@openavenue.com>

	* xgssapi.h: New file to perform GSSAPI include magic.
	* Makefile.am (EXTRA_DIST): Add xgssapi.h.

	* Makefile.in: Regenerated.

2001-02-14  Derek Price  <derek.price@openavenue.com>

	* Makefile.am (libcvs_a_SOURCES): Add xtime.h & xselect.h.
	* Makefile.in: Regenerated.
	* getdate.y: Include xtime.h.
	* getdate.c: Regenerated.
	* system.h: Include xtime.h.
	* xtime.h: New file to do include magic for time functions.
	* xselect.h: New file to do select include magic.

2001-02-06  Derek Price  <derek.price@openavenue.com>
	    Rex Jolliff  <Rex_Jolliff@notes.ymp.gov>
	    Shawn Smith  <Shawn_Smith@notes.ymp.gov>

	* system.h: definitions of CVS_OPENDIR, CVS_READDIR, & CVS_CLOSEDIR
	provided here in support of changes to handle VMS DEC C 5.7
	{open,read,close}dir problems.  Check today's entry in the vms subdir
	for more.

2001-01-10  Derek Price  <derek.price@openavenue.com>
	    Rex Jolliff  <Rex_Jolliff@notes.ymp.gov>

	* rename.c: replace calls to unlink() with CVS_UNLINK() for VMS

2000-12-22  Derek Price  <derek.price@openavenue.com>

	* Makefile.am (INCLUDES): Fixed typo
        * Makefile.in: Regenerated

2000-12-22  Derek Price  <derek.price@openavenue.com>

	* Makefile.am (INCLUDES): Added $(top_srcdir)/src
        * Makefile.in: Regenerated

2000-12-21  Derek Price  <derek.price@openavenue.com>

	* .cvsignore: Added .deps directory and alphabetized
	* Makefile.am: New file needed by Automake
	* Makefile.in: Regenerated

2000-11-15  Derek Price  <derek.price@openavenue.com>

	* system.h:  Added CVS_FDOPEN to conform to CVS_FOPEN precedent

2000-07-10  Larry Jones  <larry.jones@sdrc.com>

	* savecwd.c: #include <sys/types.h> before <fcntl.h>.

2000-07-04  Karl Fogel  <kfogel@red-bean.com>

	* getline.h, getline.c (getstr): take new limit arg.
	(GETLINE_NO_LIMIT): new #define.
	(getline_safe): new function, takes limit arg and passes it on.
	(getline): pass GETLINE_NO_LIMIT to getstr().

	See related change of same date in ../src/ChangeLog.

2000-06-19  Larry Jones  <larry.jones@sdrc.com>

	* regex.c, regex.h: Version from emacs 20.7 to plug memory leaks
	and avoid potential portability problems.

2000-03-22  Larry Jones  <larry.jones@sdrc.com>

	* getdate.y: Add logic to allow yyyy/mm/dd in addition to mm/dd/yy
	(since that is the format CVS frequently uses).
	* getdate.c: Regenerated.

2000-02-16  Jim Meyering  <meyering@lucent.com>

	* sighandle.c (SIG_inCrSect): New function.

2000-01-03  Larry Jones  <larry.jones@sdrc.com>

	* getdate.y (Convert): Add window to determine whether 2-digit dates
	are 19xx (69-99) or 20xx (00-68).
	(get_date): Fix y2k bug: initialize yyYear to tm_year + 1900,
	not just tm_year.
	* getdate.c: Regenerated.

1999-12-29  Jim Kingdon  <http://developer.redhat.com/>

	* Makefile.in: There was a comment here which referred to a long
	comment in configure.in about regex.o (the configure.in comment
	isn't there any more).  Replace our comment with a conciser
	version of the former configure.in comment.

1999-03-26  Jim Kingdon  <http://www.cyclic.com>

	* getopt.h: Don't declare the arguments to getopt.

1999-02-09  Jim Kingdon  <http://www.cyclic.com>

	* vasprintf.c: Removed; there is apparently no clean, portable
	solution to the VA_LIST_IS_ARRAY problem (C9X drafts have va_copy,
	but we aren't even assuming C90 yet!).
	* Makefile.in (SOURCES): Remove vasprintf.c.
	* build_lib.com: Remove vasprintf.c and vasprintf.obj.

1999-01-26  Jim Kingdon  <http://www.cyclic.com>
	and Joerg Bullmann  <http://www.glink.net.hk/~jb/MacCVSClient/>

	* fnmatch.c: Use FOLD_FN_CHAR in two cases where it had been
	omitted.

1999-01-22  Jim Kingdon  <http://www.cyclic.com>

	* fnmatch.c: Include system.h; FOLD_FN_CHAR has moved there from
	config.h (from Alexey Milov).  Don't define our own FOLD_FN_CHAR;
	that just masks cases in which we got the includes tangled up.

1999-01-12  Jim Kingdon  <http://www.cyclic.com>

	* memmove.c: Remove paragraph which contained the FSF's old
	snail mail address; it has changed.

1999-01-05  Jim Kingdon  <http://www.cyclic.com>

	* md5.c, md5.h: Rename all the external interfaces to start with
	cvs_* to avoid namespace pollution problems.  Include string.h
	unconditionally, to avoid gcc -Wall warnings on memset.

1998-12-29  Jim Kingdon  <http://www.cyclic.com>

	* getdate.y (RelativeMonth): Add 1900 to tm_year, so that in 2000,
	we pass 2000, not 100, to Convert.
	(Convert): Add comment about Year argument.
	* getdate.c: Regenerated using byacc.

Tue Mar 24 16:08:00 1998  Ian Lance Taylor  <ian@cygnus.com>

	* Makefile.in (CFLAGS): Set to @CFLAGS@, not -g.

1998-02-20  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* regex.c: Partial merge with version from emacs 20.2.  Brings
	over some trivial changes (whitespace and so on) (most such
	changes I didn't bother with, for this time).  Don't cast to int
	before comparing old_regend[r] to regstart[r] (this is the point
	of bothering; the old code was broken for 64 bit machines.
	Reported by Paul Vixie).

Tue Feb 17 18:33:26 1998  Ian Lance Taylor  <ian@cygnus.com>

	* memmove.c: New file, resurrecting the old one.
	* Makefile.in (SOURCES): Add memmove.c.

1998-02-03  Tim Pierce  <twp@skepsis.com>

	* system.h (CVS_LSTAT): New macro.

Sat Feb  7 17:33:39 1998  Ian Lance Taylor  <ian@cygnus.com>

	* getline.h (getstr): Declare.

13 Jan 1998  Jim Kingdon

	* fncase.c: Include config.h before system.h.

	* system.h: Just include string.h unconditionally.  We already
	include it unconditionally elsewhere.

Tue Jan 13 16:51:59 1998  Ian Lance Taylor  <ian@cygnus.com>

	* fncase.c: New file, taken from windows-NT/filesubr.c.
	* system.h: If __CYGWIN32__ or WIN32 are defined, define
	FOLD_FN_CHAR, FILENAMES_CASE_INSENSITIVE, and ISDIRSEP, and
	declare fncmp and fnfold.  Taken from windows-NT/config.h.
	* Makefile.in (SOURCES): Add fncase.c.

Sat Jan 10 10:51:26 1998  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* getline.c (getstr): Make sure to set errno when appropriate.  I
	didn't test the error case for the new code but inspection shows
	the old code was rather broken.

Sat Nov 29 22:03:39 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	getwd and getcwd were a big big mess.  Although Jim's fix might
	indeed be fixing a typo, the code is so tangled that I would guess
	it probably breaks some system.  So clean this up:
	* xgetwd.c: Always assume we have getcwd (we had been anyway,
	before Jim's change).
	* getwd.c: Removed.
	* Makefile.in: Remove getwd.c
	* system.h: Remove declarations of getwd and getcwd.  Move getcwd
	declaration to the !HAVE_UNISTD_H section.

1997-11-29  Jim Meyering  <meyering@na-net.ornl.gov>

	* xgetwd.c: Fix typo s/ifndef/ifdef/ in test of HAVE_GETWD.

Wed Nov 26 10:12:33 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* system.h: Always use "rb" and "wb".  Check for O_BINARY with an
	#ifdef, not the error-prone LINES_CRLF_TERMINATED.

Thu Sep 25 10:57:39 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* getdate.y (get_date): If gmtime returns NULL, try to cope.
	* getdate.c: Regenerated using byacc.

	* getdate.y: Remove comment about sending email concerning this file
	to Rich Salz.
	* getdate.c: Regenerated using byacc.

Wed Sep 24 10:35:38 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in (OBJECTS): Add regex.o.

Wed Sep 17 16:37:17 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* getdate.y (ToSeconds): For am or pm, a hour of "12" really means 0.
	* getdate.c: Regenerated using byacc (not bison per comment).

Tue Sep  9 20:51:45 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* build_lib.com: Add vasprintf.c and vasprintf.obj.

	* build_lib.com: Remove strippath.obj from library/create command.

Sun Sep  7 17:35:27 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* system.h: Replace comment referring to ChangeLog with a
	comment based on the ChangeLog entries.

	* strdup.c: Removed, per change to ../configure.in
	* Makefile.in (SOURCES): Remove strdup.c.

Mon Jun 16 18:59:50 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* system.h: Add CVS_FNMATCH.

Sun Jun  8 23:41:11 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* system.h (mkfifo): Remove; not used anywhere.

Thu Mar  6 17:14:49 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* regex.c: Partial merge with version from emacs 19.34.  I brought
	over most trivial changes (whitespace and so on).  Most of the
	changes to portability cruft I did not bring over, on the theory
	of sticking to the devil that we know.  I did bring over the
	change to undef MAX and MIN (this is a better solution to a
	problem we had been handling a different way).  There were a
	variety of changes I probably could/should have brought over, but
	elected not to try to understand them and whether they would cause
	trouble (printchar -> putchar, changes to output format in
	print_partial_compiled_pattern, internationalization,
	FREE_STACK_RETURN and friends which would appear to be fixing
	memory leaks in error cases, RE_TRANSLATE_TYPE, and others).  I
	did merge the changes (union fail_stack_elt, PUSH_FAILURE_POINTER,
	etc.) to use a union for the failure stack rather than playing
	games with pointers and integers (that was my reason for
	bothering; the code had been broken on the Alpha).

Mon Feb 10 18:52:18 1997  Ullrich von Bassewitz <uz@musoftware.com>

	* md5.c: Make the parameter to getu32 const since the function will
        only read the values and this will avoid compiler warnings in other
        places.

Mon Feb 10 18:29:04 1997  Ullrich von Bassewitz <uz@musoftware.com>

	* vasprintf.c: Added a #define for systems where a va_list is
	defined as an array, not as a pointer.

Mon Feb 10 09:31:38 1997  Ken Raeburn  <raeburn@cygnus.com>

	* md5.c (MD5STEP): Truncate to 32 bits before shifting right.

Thu Jan 30 11:35:26 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* regex.h: Don't prototype re_comp and re_exec.

Tue Jan 28 17:45:46 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* md5.c, md5.h: Changes so these work without having an integer
	type which is exactly 32 bits.  Modeled after changes by Tatu Ylonen
	<ylo@cs.hut.fi> as part of SSH but rewritten.

Wed Jan  8 14:50:47 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in, getopt.h, sighandle.c, system.h: Remove CVSid; we
	decided to get rid of these some time ago.

Thu Jan  2 13:30:56 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in, argmatch.c, fnmatch.c, fnmatch.h, getline.c,
	getopt.c, getopt.h, getopt1.c, getwd.c, hostname.c, mkdir.c,
	regex.c, regex.h, rename.c, sighandle.c, strdup.c, strerror.c,
	stripslash.c, system.h, vasprintf.c, wait.h, xgetwd.c, yesno.c:
	Remove "675" paragraph;	see ../ChangeLog for rationale.

Sun Nov 24 13:34:25 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* getdate.y (Convert): Change last acceptable year from 1999 to
	2038.
	* getdate.c: Regenerated using byacc 1.9.

Tue Nov 19 17:11:17 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in (OBJECTS): Remove strippath.o; we don't use
	strip_path anymore.
	(SOURCES): Remove strippath.c.
	* strippath.c: Removed.
	* build_lib.com: Remove strippath.c.

Wed Oct  2 10:43:35 1996  Norbert Kiesel  <nk@col.sw-ley.de>

	* getdate.y: removed CVSid variable

	* getdate.c: regenerated (using byacc 1.9)

Wed Sep 25 10:25:00 1996  Larry Jones  <larry.jones@sdrc.com>

	* vasprintf.c: Fix type clashes in calls to strtoul.

Wed Sep 11 15:55:31 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* build_lib.com: Add valloc.c.

Tue Sep 10 23:04:34 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in (DISTFILES): Add build_lib.com.

Fri Aug 16 16:01:57 1996  Norbert Kiesel  <nk@col.sw-ley.de>

	* Makefile.in (installdirs): new (empty) target

Mon Aug 12 11:03:43 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* system.h: Don't use #elif.  It is said to cause problems with
	one of the HP compilers on HPUX 9.01.

Sun Jul  7 23:25:46 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* memmove.c: Removed.  The memove function was used by a very old
	version of the CVS server for nefarious purposes and it has been
	long gone.
	* Makefile.in (SOURCES): Remove memmove.c.

Thu Jun  6 15:12:59 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* vasprintf.c: If STDC_HEADERS, include stdlib.h rather than
	declaring its functions ourself.

Wed Jun 05 10:14:29 1996  Mike Ladwig  <mike@twinpeaks.prc.com>
			  and Jim Kingdon  <kingdon@cyclic.com>

	* system.h: If ERRNO_H_MISSING is defined, don't include errno.h.

Wed Jun 05 10:14:29 1996  Mike Ladwig  <mike@twinpeaks.prc.com>

	* regex.c: Don't define MAX and MIN if already defined.

Sun May 12 09:40:08 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* getdate.y: Replace alloca.h include with a comment explaining
	why we avoid alloca and the consequences of that.
	* getdate.c: Regenerated.

Wed May  8 09:31:03 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* getdate.c: Regenerate with the version of byacc in Red Hat 3.0.3
	(which I believe is byacc 1.9).  byacc, unlike bison, does not
	require alloca in the generated parser.

Thu Apr 25 18:26:34 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* getdate.y (get_date): Set Start from nowtime, not now->time,
	which may not be set.
	* getdate.c: Regenerated.

Wed Apr 10 17:55:02 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* getdate.y (get_date): Use a time_t variable rather than a field
	in a struct timeb.  Works around Solaris compiler bug.  Sure, it
	is a compiler bug, but the workaround is completely painless.
	* getdate.c: Regenerated.

Fri Mar 22 11:17:05 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* system.h: If EXIT_FAILURE is not defined by stdlib.h, define it
	ourself.

Thu Mar 14 16:27:53 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* system.h: Remove alloca cruft.

Wed Feb 28 03:16:48 1996  Benjamin J. Lee  <benjamin@cyclic.com>

	* build_lib.com: Changed definition of symbol CC to search
	for include files in [-.VMS] so VMS config.h can be picked
	up without copying.

Tue Feb 27 21:26:34 1996  Benjamin J. Lee  <benjamin@cyclic.com>

	* build_lib.com: Added.  DCL File to build contents of [.lib]

Tue Feb 27 21:18:38 1996  Benjamin J. Lee  <benjamin@cyclic.com>

	* system.h: added an existence_error macro check for EVMSERR
	necessary for happiness under VMS

Thu Feb 22 22:30:04 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in (OBJECTS): Remove @ALLOCA@
	(SOURCES): Remove alloca.c
	* alloca.c: Removed.
	* regex.c (REGEX_MALLOC): Define.

Thu Feb 15 14:00:00  Jim Kingdon  <kingdon@cyclic.com>

	* vasprintf.c: Declare abs().

Wed Feb 14 14:48:31 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* vasprintf.c (int_vasprintf): Don't cast arguments to memcpy.
	* vasprintf.c, strtoul.c: Don't include ansidecl.h.  Do include
	config.h if HAVE_CONFIG_H (for const).
	* strtoul.c: Change CONST to const.

Tue Feb 13 20:04:39 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* strtoul.c: Added (needed by vasprintf.c, and missing on SunOS4).
	* Makefile.in (SOURCES): Add strtoul.c.

Mon Feb 12 10:04:46 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* vasprintf.c: Added (same contents as before).
	* Makefile.in (SOURCES): Add vasprintf.c.

Thu Feb  1 14:33:17 1996  Karl Fogel  <kfogel@floss.red-bean.com>

        * Makefile.in (xlint): new rule; does nothing, as I'm not sure
        running lint is actually advisable in here, but the top-level
        Makefile thinks it can `make xlint' here.

Thu Feb  1 15:07:42 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* getopt.c: Remove rcsid.

Tue Jan 30 18:20:27 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* getline.c: Don't define NDEBUG.
	(getstr): Rewrite assertions in a way which should stay clear of
	signed/unsigned problems and compiler warnings thereof.

Thu Jan 25 00:14:06 1996  Jim Kingdon  <kingdon@beezley.cyclic.com>

	* yesno.c (yesno): fflush stdout as well as stderr.

Wed Jan  3 18:16:50 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* sighandle.c (SIG_register): Use memset not bzero.
	* system.h: Remove defines for index, rindex, bcmp, and bzero.
	All the calls to those functions are gone from CVS.

Tue Jan  2 13:00:00 1996  Jim Kingdon  <kingdon@peary.cyclic.com>

	Visual C++ lint:
	* sighandle.c: Prototype SIG_handle and SIG_defaults.
	Use SIG_ERR where appropriate.

Mon Dec 18 10:15:05 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* rename.c: Check ENOENT rather than existence_error.  The latter
	is undefined in this file, and including system.h is said to cause
	(unspecified) problems.

Sun Dec 17 23:58:06 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* vasprintf.c: Removed (it is no longer used).
	* Makefile.in (SOURCES): Remove vasprintf.c.

Sat Dec 16 17:18:33 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* vasprintf.c: Added.
	* Makefile.in (SOURCES): Add vasprintf.c

Mon Dec  4 10:54:04 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* getdate.c: Remove #line directives.  I know, this is a kludge,
	but Visual C++ 2.1 seems to require it (why, I have no idea.  It
	has no trouble with the #line directives in getdate in CVS 1.6).

Sat Nov 18 16:20:37 1995  Karl Fogel  <kfogel@floss.cyclic.com>

        * rename.c: same.

        * mkdir.c: Use new macro `existence_error', instead of comparing
        errno to ENOENT directly.

        * system.h (existence_error): new macro, tries to portably ask if
        errno represents a file-not-exist error.

Fri Nov 17 20:08:58 1995  Karl Fogel  <kfogel@floss.cyclic.com>

        * system.h (NEED_DECOY_PERMISSIONS): moved this section to where
        it belongs, duh.

        * getdate.c: if STDC_HEADERS, then just include <stdlib.h> instead
        of declaring malloc() and realloc() to be char *.

        * system.h: ifdef NEED_DECOY_PERMISSIONS, then define the S_I*
        permission masks for USR, GRP, and OTH in terms of the simpler
        OS/2 masks.

Wed Nov 15 15:36:03 1995  Karl Fogel  <kfogel@floss.cyclic.com>

        * system.h: ifdef USE_OWN_TCPIP_H, then include "tcpip.h".  Only
        OS/2 does this right now.

Tue Nov 14 18:44:57 1995  Greg A. Woods  <woods@most.weird.com>

	* getdate.c: OK, this one is from SunOS-4.1 yacc and may be more
	portable -- at least it compiles silently here!  ;-)

Mon Nov 13 03:53:45 1995  Karl Fogel  <kfogel@floss.cyclic.com>

        * fnmatch.c: conform to 80 column standard (yes, I'm a pedant).

Wed Nov  8 11:10:59 1995  Karl Fogel  <kfogel@floss.cyclic.com>

        * system.h (STAT_MACROS): ifdef S_IFMT, then use it as before; but
        if it's not defined, then just do a single mask and assume
        acceptance any of non-zero result.  Norbert, I trust you'll let me
        know if this is unsatisfactory. :-)
        Ifdef HAVE_SYS_UTIME_H, then include <sys/utime.h>.  Only OS/2
        defines this right now.

Wed Nov  8 13:18:51 1995  Norbert Kiesel  <nk@col.sw-ley.de>

	* valloc.c: omit malloc declaration (it's already in system.h
	  which is included and conflicts with <stdlib.h> on some
	  systems).

Tue Nov  7 19:38:48 1995  Norbert Kiesel  <nk@col.sw-ley.de>

	* system.h (STAT_MACROS_BROKEN): undo previous change, because
	  else all regular files will be identified as links (the mask for
	  links is S_IFREG|S_IFCHR).

Mon Nov  6 19:20:56 1995  Karl Fogel  <kfogel@floss.cyclic.com>

        * system.h (STAT_MACROS_BROKEN): in defining the S_IF* macros,
        don't fold to 1 or 0 by first masking with S_IFMT; not all
        systems have that macro, and anyway it's only necessary that we
        return non-zero.

Fri Oct 27 13:43:35 1995  Karl Fogel  <kfogel@floss.cyclic.com>

        * save-cwd.c: use __PROTO instead of __P (see below).

        * getline.h (__PROTO): same as below.

        * save-cwd.h (__PROTO): replaces __P.  New name, so don't ask if
        already defined.  The conflict was that OS/2 w/ IBM C/C++ uses
        `__P' for something else, in <ctype.h> of all places.

        * system.h: do nothing about alloca ifdef ALLOCA_IN_STDLIB (see
        ../src/ChangeLog).

Tue Oct 24 13:01:25 1995  Norbert Kiesel  <nk@col.sw-ley.de>

	* wait.h: include sys/resource.h if available. This is needed at
	  least under AIX-3.2 where <sys/wait.h> doesn't include it.

Mon Oct 23 17:39:11 1995  Norbert Kiesel  <nk@col.sw-ley.de>

	* valloc.c (valloc): change parameter definition

Sun Oct 22 14:15:44 1995  Jim Meyering  (meyering@comco.com)

	* getline.c, getline.h: New files.
	* Makefile.in (SOURCES, OBJECTS, HEADERS): Add getline.c, getline.o,
	and getline.h, respectively.

Tue Oct 10 18:01:50 1995  Karl Fogel  <kfogel@totoro.cyclic.com>

        * Makefile.in (cvs_srcdir): define cvs_srcdir to be ../src, then
        include it with -I so save_cwd.c can find error.h (for example).

Sun Oct  8 12:27:57 1995  Peter Wemm  <peter@haywire.DIALix.COM>

	* system.h: define POSIX_SIGNALS or BSD_SIGNALS if configure has
	located all the necessary functions for each "type".
	* sighandle.c: detect/use POSIX/BSD reliable signals (especially
	for blocking signals in critical sections).  Helps prevent stray
	locks on interruption.

Mon Oct  2 18:11:23 1995  Jim Blandy  <jimb@totoro.cyclic.com>

	* system.h: Doc fix.

Mon Oct  2 18:10:35 1995  Larry Jones  <larry.jones@sdrc.com>

	* regex.c: compile 4.2 BSD compatible functions even when
	_POSIX_SOURCE is defined since we need them and we wouldn't be
	compiling this file unless they don't exist.

Mon Oct  2 10:32:20 1995  Michael Finken  <finken@conware.de>

        * strstr.c (strstr): new file and func.

        * Makefile.in (SOURCES): added strstr.c.

Sun Oct  1 21:03:40 1995  Karl Fogel  <kfogel@totoro.cyclic.com>

        * regex.c: reverted below change.

Thu Sep 28 13:37:04 1995  Larry Jones <larry.jones@sdrc.com>

        * regexp.c: check for ISC.

Thu Sep 7  19:18:00 1995  Jim Blandy  <jimb@cyclic.com>

	* save-cwd.c: #include <direct.h> and <io.h>, on systems that
	have them.

	* getopt.c (_getopt_internal): Cast the return value of strlen,
	which is unsigned, before comparing it with the difference between
	two pointers, which is unsigned.

Thu Aug 31 11:31:42 1995  Jim Blandy  <jimb@totoro.cyclic.com>

	* getdate.y [STDC_HEADERS]: #include <stdlib.h>, for abort.
	[HAVE_ALLOCA_H]: #include <alloca.h>, for alloca on Windows NT.

Wed Aug 30 18:48:44 1995  Jim Blandy  <jimb@totoro.cyclic.com>

	* system.h [HAVE_IO_H]: #include <io.h>, for Windows NT.
	[HAVE_DIRECT_H]: #include <direct.h>, for Windows NT.
	(CVS_MKDIR, FOLD_FN_CHAR, fnfold, fncmp, ISDIRSEP, OPEN_BINARY,
	FOPEN_BINARY_READ, FOPEN_BINARY_WRITE): New macros/functions, for
	use in system-sensitive code.

	* regex.c (re_set_registers): start and end are pointers, not
	integers.  Cast the initializing value appropriately.

	* getopt.c [HAVE_STRING_H]: #include <string.h>, to avoid
	warnings.

	* fnmatch.c (FOLD_FN_CHAR): Give this a dummy #definition if
	config.h didn't #define it.
        (fnmatch): Pass filename characters through FOLD_FN_CHAR before
	comparing them.

	* argmatch.c: #include <sys/types.h>.
	(argmatch): Declare arglen to be a size_t, rather than an int,
	to avoid signed/unsigned comparison "problems".

	* .cvsignore: Remove getdate.c from this file.  We want to
	distribute it, for systems that don't have a Yacc-equivalent
	installed (like Windows NT).

Sat Aug 19 22:00:51 1995  Jim Blandy  <jimb@totoro.cyclic.com>

	* error.c: Don't #define CVS_SUPPORT here.  config.h takes care of
	that for us.
	[CVS_SUPPORT] (error_use_protocol): New variable, with apology.
	(error): If error_use_protocol is set, report errors using the
	client/server protocol.
	* error.h [CVS_SUPPORT]: Extern decl for error_use_protocol.

Fri Aug  4 00:01:24 1995  Jim Meyering  (meyering@comco.com)

	* xgetwd.c: Don't declare free.  A K&R style declaration gets
	a conflict on some Sun systems when compiling with acc.

	* save-cwd.c: New file.
	* save-cwd.h: New file.
	* Makefile.in (SOURCES): Add save-cwd.c
	(OBJECTS): Add save-cwd.o.
	(HEADERS): Add save-cwd.h.

Thu Aug  3 00:55:54 1995  Jim Meyering  (meyering@comco.com)

	* error.h: New file.
	* Makefile.in (HEADERS): Add error.h.

Sat Jul 29 15:53:55 1995  James Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in (SOURCES): Add getdate.c.

Thu Jul 27 09:11:41 1995  Robert Lipe <robertl@rjlhome.arnet.com>

	* system.h: Check for PATHSIZE before falling back to _POSIX_PATH_MAX.

Thu Jul 20 12:38:03 1995  James Kingdon  <kingdon@harvey.cyclic.com>

	* error.c: Instead of calling cvs functions to clean up, allow cvs
	to register a callback via error_set_cleanup.  Avoids hassles with
	include files and SERVER_SUPPORT and so on.

Tue Jul 18 21:18:00 1995  Jim Blandy <jimb@cyclic.com>

	* system.h: Include <sys/param.h> only if HAVE_SYS_PARAM_H
	is #defined.  We've added a test to configure.in to #define this
	on most systems.

Thu Jul 13 11:22:21 1995  Jim Meyering  (meyering@comco.com)

	* xgetwd.c: New file.
	* Makefile.in (SOURCES): Add xgetwd.c
	(OBJECTS): Add xgetwd.o.

Wed Jul 12 09:18:49 1995  Jim Meyering  (meyering@comco.com)

	* Makefile.in (OBJECTS): Remove fnmatch.o.  Now configure adds it
	to LIBOBJS when necessary.

Fri Jun 30 16:27:18 1995  James Kingdon  <kingdon@harvey.cyclic.com>

	* rename.c (rename): If MVDIR is not defined, just give an error
	on attempt to rename a directory.

Thu Jun 29 00:46:31 1995  James Kingdon  <kingdon@harvey.cyclic.com>

	* system.h: Check HAVE_SYS_TIMEB_H not non-existent HAVE_TIMEB_H.

	* system.h: Don't define alloca if it is already defined.

Wed Jun 28 15:24:51 1995  James Kingdon  <kingdon@harvey.cyclic.com>

	* system.h: If NeXT, define utimbuf ourself.

Mon May 29 22:32:40 1995  J.T. Conklin  <jtc@rtl.cygnus.com>

	* system.h: Handle time and directory headers as recommended in
	the autoconf manual.
	Undefine the S_FOO() macros if STAT_MACROS_BROKEN is set.
	Don't define mode_t, as it is handled by config.h.

Sat May 27 08:46:00 1995  Jim Meyering  (meyering@comco.com)

	* Makefile.in (Makefile): Regenerate only Makefile in current
	directory when Makefile.in is out of date.  Depend on ../config.status.

Fri Apr 28 22:49:25 1995  Jim Blandy  <jimb@totoro.bio.indiana.edu>

	* Makefile.in (SOURCES, OBJECTS): Updated.
	(HEADERS): New variable.
	(DISTFILES): Updated.
	(dist-dir): Renamed from dist; changed to work with DISTDIR
	variable passed from parent.

Wed Feb  8 06:37:53 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* system.h (S_IRUSR et al): Define if not already defined.

	* waitpid.c [HAVE_CONFIG_H]: Include "config.h".
	(ualloc): Return OLDPTR rather than running off the end.

Mon Aug 22 22:48:19 1994  Ken Raeburn  (raeburn@kr-pc.cygnus.com)

	* error.c (strerror): Replaced conditional static definition
	(always used, since the condition variable was never set) with an
	extern declaration, since it's provided by libc or strerror.c.

Wed Aug 10 14:54:25 1994  Ken Raeburn  (raeburn@cujo.cygnus.com)

	* Makefile.in (SOURCES): Add waitpid.c.
	* waitpid.c: New file.

Tue Aug  9 16:00:12 1994  Ken Raeburn  (raeburn@cujo.cygnus.com)

	* md5.h (uint32): If SIZEOF_LONG isn't 4, don't define this to be
	"unsigned long"; try SIZEOF_INT and "unsigned int", otherwise
	complain.

	* md5.c: Include config.h.
	(const): Don't bother defining here, config.h should take care of
	it.

	* valloc.c (malloc): Declare.

Fri Jul 15 12:57:20 1994  Ian Lance Taylor  (ian@sanguine.cygnus.com)

	* getopt.c: Do not include <stdlib.h> unless __GNU_LIBRARY__ is
	defined.  On Irix 5.2, <stdlib.h> includes <getopt.h>, which
	causes a multiple definition of struct option.

Fri Jul  8 10:04:59 1994  Jim Kingdon  (kingdon@lioth.cygnus.com)

	* md5.h, md5.c: Remove ANSI-isms.

Thu Jul  7 20:24:18 1994  Ian Lance Taylor  (ian@sanguine.cygnus.com)

	* md5.h, md5.c: New files.
	* Makefile.in (SOURCES): Add md5.c.
	(OBJECTS): Add md5.o.
	(DISTFILES): Add md5.h.
	(md5.o): New target; depend upon md5.h.

Fri May 27 18:15:34 1994  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* valloc.c: New file.

Tue May 17 08:18:26 1994  Jim Kingdon  (kingdon@lioth.cygnus.com)

	* error.c (error, fperror): If server_active, call server_cleanup
	as well as Lock_Cleanup.

Thu Jan  6 13:45:04 1994  Ken Raeburn  (raeburn@cujo.cygnus.com)

	* system.h: Fix Dec 27 change to work correctly.  Makes Sep 9
	change unnecessary, so backed that one out.  Never define PATH_MAX
	in terms of pathconf, because that doesn't produce a constant, and
	PATH_MAX is used to set array sizes.

Mon Dec 27 14:22:07 1993  Mark Eichin  (eichin@cygnus.com)

	* system.h: don't touch PATH_MAX or MAXPATHLEN if *both* of them
	are already defined, as one may be defined in terms of the other.
